# .NET Core 1.1 Preview 1 Commits

The following list of the commits is included in .NET Core 1.1.0 Preview 1. The list has been edited to remove unimportant commits, such as updates to the build system and the like. 

The list was generated using git rev-list --no-merges --abbrev-commit --oneline --until={2016-10-24} origin..HEAD

## CoreCLR

- [1bd0ce6](https://github.com/dotnet/coreclr/commit/1bd0ce6) Disable CER code that is causing access violation
- [af2b909](https://github.com/dotnet/coreclr/commit/af2b909) Fix System.Diagnostics.StackTrace version in stack trace helper code (#7383)
- [854d074](https://github.com/dotnet/coreclr/commit/854d074) Fix OS X build break with AppleClang 8.0.0 (#7292)
- [098eb21](https://github.com/dotnet/coreclr/commit/098eb21) Remove CoreCLR's dependency on the diasymreader.dll installed as part of the full .NET Framework on Desktop (#7342)
- [c47367d](https://github.com/dotnet/coreclr/commit/c47367d) Fix Unable to step through Visual Studio remote debugger with coreclr executables on Nano Server (#7317)
- [f314216](https://github.com/dotnet/coreclr/commit/f314216) Fix 8.3 UNC expansion
- [fce679e](https://github.com/dotnet/coreclr/commit/fce679e) Fix launch timing issue in dbgshim found in VS. (#7279) (#7281)
- [daa579a](https://github.com/dotnet/coreclr/commit/daa579a) Create long-named DAC and SOS DLLs for Windows.
- [8ed5aa4](https://github.com/dotnet/coreclr/commit/8ed5aa4) Fix arm64 build break in building packages

## CoreFX

- [1bf8191](https://github.com/dotnet/corefx/commit/1bf8191) Fix ValueTask behavior as async return type
- [bd2edb2](https://github.com/dotnet/corefx/commit/bd2edb2) Net standard docs (#12244)
- [e7d55c8](https://github.com/dotnet/corefx/commit/e7d55c8) Fix parsing of procfs stat files when comm name contains spaces
- [69ebf34](https://github.com/dotnet/corefx/commit/69ebf34) Make derived types of SymmetricAlgorithm use field assignment in ctors.
- [68b75e3](https://github.com/dotnet/corefx/commit/68b75e3) Lower peak memory usage in BigInteger tests
- [8dfccb4](https://github.com/dotnet/corefx/commit/8dfccb4) Remove the CreateManyConcurrent test
- [54cefff](https://github.com/dotnet/corefx/commit/54cefff) Use rooted path for symlink creation in IO tests
- [0c03bce](https://github.com/dotnet/corefx/commit/0c03bce) Revert "Build Linq.Expression tests against live Regex"
- [bf82f1f](https://github.com/dotnet/corefx/commit/bf82f1f) Clean up SNI project
- [386cb95](https://github.com/dotnet/corefx/commit/386cb95) Add baseline for native Crypto packages
- [5b0a604](https://github.com/dotnet/corefx/commit/5b0a604) Fix file-clashes in test archiving
- [796b985](https://github.com/dotnet/corefx/commit/796b985) Override ArchiveTestBuild from buildtools
- [50a474b](https://github.com/dotnet/corefx/commit/50a474b) OpenSSL does not need to rebuild for Windows
- [179607b](https://github.com/dotnet/corefx/commit/179607b) Redistribute reference dlls
- [514433f](https://github.com/dotnet/corefx/commit/514433f) XPath.XmlDocument should target desktop
- [740d508](https://github.com/dotnet/corefx/commit/740d508) Handle network interfaces which report their speed as '-1'.
- [4af853d](https://github.com/dotnet/corefx/commit/4af853d) Disable test on *Nix
- [194f728](https://github.com/dotnet/corefx/commit/194f728) Make async continuations run on different thread to avoid deadlock
- [58f1109](https://github.com/dotnet/corefx/commit/58f1109) Fix UNC path normalization
- [f635540](https://github.com/dotnet/corefx/commit/f635540) Fix WinHttpHandler when connecting thru authenticating proxy
- [d5377b4](https://github.com/dotnet/corefx/commit/d5377b4) Use CommonCrypto CSPRNG for GetTempFileName on macOS
- [8a99fac](https://github.com/dotnet/corefx/commit/8a99fac) Fix WinHttpHandler to deal with nonstandard HTTP auth responses
- [4f192af](https://github.com/dotnet/corefx/commit/4f192af) Build Linq.Expression tests against live Regex
- [b01a16f](https://github.com/dotnet/corefx/commit/b01a16f) Avoid unnecessary clearing in CopyToAsync
- [3fe9860](https://github.com/dotnet/corefx/commit/3fe9860) Support text.Mapping being SpecialMapping when using ReflectionBased Serializer (#11752)
- [333a0c1](https://github.com/dotnet/corefx/commit/333a0c1) Use exact versions of 1.0.0 RTM runtimes from TFS. (#11814)
- [c35abaa](https://github.com/dotnet/corefx/commit/c35abaa) Make SqlClient support win10-arm64 using master runtime package.
- [babf9b0](https://github.com/dotnet/corefx/commit/babf9b0) Fix leak of WinHttpRequestState objects during HTTP resends
- [61c1dd5](https://github.com/dotnet/corefx/commit/61c1dd5) Use ArrayPool in CopyToAsync in several System.IO streams
- [9f4a7a8](https://github.com/dotnet/corefx/commit/9f4a7a8) Add tests for FileStream.CopyToAsync
- [c830dc2](https://github.com/dotnet/corefx/commit/c830dc2) Use ArrayPool in FileStream.CopyToAsync
- [5de6cce](https://github.com/dotnet/corefx/commit/5de6cce) Optimize overlapped I/O FileStream.CopyToAsync implementation on Windows
- [761702d](https://github.com/dotnet/corefx/commit/761702d) Downgrade projectk-tfs package to release/1.0.0 (#11562)
- [7c2b65a](https://github.com/dotnet/corefx/commit/7c2b65a) Rename AsyncBuilderAttribute to AsyncMethodBuilderAttribute
- [3813e7f](https://github.com/dotnet/corefx/commit/3813e7f) Make AsyncBuilderAttribute public

## CLI

- [12d12f9](https://github.com/dotnet/cli/commit/12d12f9) Applying @brthor perf improvement to GetTypeBuildExclusionList.
- [2a8d874](https://github.com/dotnet/cli/commit/2a8d874) Setting System.Text.Encoding.CodePages to 4.0.1, since that's the version in the shared framework.
- [19ae7b9](https://github.com/dotnet/cli/commit/19ae7b9) Fix the projects versions to be preview2-1.
- [914a095](https://github.com/dotnet/cli/commit/914a095) Add ubuntu.16.10 and opensuse42.1 to netci.groovy (#4335)
- [10cacd1](https://github.com/dotnet/cli/commit/10cacd1) [rel/1.0.0-preview2.1] Add support for building and testing on new RIDs (#4329)

## WCF

- [44466e6](https://github.com/dotnet/wcf/commit/44466e6) Original commit messages in master were: Fix UpnEndpointIdentity on UWP
- [164c682](https://github.com/dotnet/wcf/commit/164c682) Add WCF channel keywords to ETW events
- [65ba96e](https://github.com/dotnet/wcf/commit/65ba96e) Port to release/1.1.0 fix to issue #1544
- [beb4644](https://github.com/dotnet/wcf/commit/beb4644) Fix typo in netci.groovy to correct outerloop servers
