# Contributions to .NET Core 1.1.0 Preview 1

We're still working out the best way to present contributors and trying to be as accurate as possible. The list below is generated with the following command against each repo. The release qualifier is different from the example in some cases. Also, where multiple email addresses were returned for a single person, the counts were aggregated with the email address reported the most commits.


```bash
git shortlog -sne --no-merges HEAD..release/1.1.0 --since master@{2016-05-20} --until master@{2016-10-23}
```

When you navigate to a contributors commit page, the results are not filtered by release so more commits than are listed below will be shown.

## CLI

- [Eric Erhardt (55)](https://github.com/dotnet/cli/commits/rel/1.0.0-preview2.1?author=eric.erhardt@microsoft.com)
- [Livar Cunha (41)](https://github.com/dotnet/cli/commits/rel/1.0.0-preview2.1?author=livar@live.com)
- [Bryan Thornbury (27)](https://github.com/dotnet/cli/commits/rel/1.0.0-preview2.1?author=brthor@microsoft.com)
- [Zlatko Knezevic (11)](https://github.com/dotnet/cli/commits/rel/1.0.0-preview2.1?author=zlakne@microsoft.com)
- [eerhardt (10)](https://github.com/dotnet/cli/commits/rel/1.0.0-preview2.1?author=eric.erhardt@microsoft.com)
- [Eric St. John (10)](https://github.com/dotnet/cli/commits/rel/1.0.0-preview2.1?author=ericstj@microsoft.com)
- [Senthil (9)](https://github.com/dotnet/cli/commits/rel/1.0.0-preview2.1?author=schellap@microsoft.com)
- [Sridhar Periyasamy (9)](https://github.com/dotnet/cli/commits/rel/1.0.0-preview2.1?author=sridhper@microsoft.com)
- [Matt Ellis (7)](https://github.com/dotnet/cli/commits/rel/1.0.0-preview2.1?author=matell@microsoft.com)
- [schellap (6)](https://github.com/dotnet/cli/commits/rel/1.0.0-preview2.1?author=schellap@microsoft.com)
- [Eric Mellino (5)](https://github.com/dotnet/cli/commits/rel/1.0.0-preview2.1?author=erme@microsoft.com)
- [Ryan Nowak (5)](https://github.com/dotnet/cli/commits/rel/1.0.0-preview2.1?author=nowakra@gmail.com)
- [Todd Moscinski (4)](https://github.com/dotnet/cli/commits/rel/1.0.0-preview2.1?author=toddmosc@microsoft.com)
- [Andrew Stanton-Nurse (3)](https://github.com/dotnet/cli/commits/rel/1.0.0-preview2.1?author=andrew@stanton-nurse.com)
- [Livar (3)](https://github.com/dotnet/cli/commits/rel/1.0.0-preview2.1?author=licavalc@microsoft.com)
- [Pavel Krymets (3)](https://github.com/dotnet/cli/commits/rel/1.0.0-preview2.1?author=pavel@krymets.com)
- [Piotr Puszkiewicz (3)](https://github.com/dotnet/cli/commits/rel/1.0.0-preview2.1?author=piotrp@microsoft.com)
- [Ajay Bhargav Baaskaran (2)](https://github.com/dotnet/cli/commits/rel/1.0.0-preview2.1?author=ajbaaska@microsoft.com)
- [Jonathan Miller (2)](https://github.com/dotnet/cli/commits/rel/1.0.0-preview2.1?author=jonmill@microsoft.com)
- [Krzysztof Wicher (2)](https://github.com/dotnet/cli/commits/rel/1.0.0-preview2.1?author=kwicher@microsoft.com)
- [Lakshmi Priya Sekar (2)](https://github.com/dotnet/cli/commits/rel/1.0.0-preview2.1?author=lasekar@microsoft.com)
- [Troy Dai (2)](https://github.com/dotnet/cli/commits/rel/1.0.0-preview2.1?author=troy.dai@outlook.com)
- [cartermp (2)](https://github.com/dotnet/cli/commits/rel/1.0.0-preview2.1?author=phcart@microsoft.com)
- [Petr Onderka (1)](https://github.com/dotnet/cli/commits/rel/1.0.0-preview2.1?author=gsvick@gmail.com)
- [PiotrP (1)](https://github.com/dotnet/cli/commits/rel/1.0.0-preview2.1?author=piotrp@microsoft.com)
- [Pranav K (1)](https://github.com/dotnet/cli/commits/rel/1.0.0-preview2.1?author=prkrishn@hotmail.com)
- [Rohit Agrawal (1)](https://github.com/dotnet/cli/commits/rel/1.0.0-preview2.1?author=ragrawal@microsoft.com)
- [Mark Junker (1)](https://github.com/dotnet/cli/commits/rel/1.0.0-preview2.1?author=fubar-coder@users.noreply.github.com)
- [Luke Latham (1)](https://github.com/dotnet/cli/commits/rel/1.0.0-preview2.1?author=mis@guardrex.com)
- [Livar Cunha (1)](https://github.com/dotnet/cli/commits/rel/1.0.0-preview2.1?author=licavalc@microsoft.com)
- [Lakshmi Priya (1)](https://github.com/dotnet/cli/commits/rel/1.0.0-preview2.1?author=Priya91@users.noreply.github.com)
- [martincostello (1)](https://github.com/dotnet/cli/commits/rel/1.0.0-preview2.1?author=martin@martincostello.com)
- [Zhi Li (1)](https://github.com/dotnet/cli/commits/rel/1.0.0-preview2.1?author=zhili128@outlook.com)
- [Daniel Podder (1)](https://github.com/dotnet/cli/commits/rel/1.0.0-preview2.1?author=dpodder@gmail.com)
- [Bill Wert (1)](https://github.com/dotnet/cli/commits/rel/1.0.0-preview2.1?author=billwert@microsoft.com)
- [cartermp (1)](https://github.com/dotnet/cli/commits/rel/1.0.0-preview2.1?author=phillip.carter@outlook.com)
- [Bryan (1)](https://github.com/dotnet/cli/commits/rel/1.0.0-preview2.1?author=brthor@microsoft.com)
- [jacalvar (1)](https://github.com/dotnet/cli/commits/rel/1.0.0-preview2.1?author=jacalvar@microsoft.com)
- [jtkech (1)](https://github.com/dotnet/cli/commits/rel/1.0.0-preview2.1?author=jean-thierry.kechichian@wanadoo.fr)
- [MichaelSimons (1)](https://github.com/dotnet/cli/commits/rel/1.0.0-preview2.1?author=msimons@microsoft.com)
- [Mark Rendle (1)](https://github.com/dotnet/cli/commits/rel/1.0.0-preview2.1?author=mark@markrendle.net)


## CoreCLR

- [James Ko (53)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=jamesqko@gmail.com)
- [Jan Kotas (46)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=jkotas@microsoft.com)
- [Pat Gavlin (44)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=pagavlin@microsoft.com)
- [Bruce Forstall (38)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=brucefo@microsoft.com)
- [Kyungwoo Lee (33)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=kyulee@microsoft.com)
- [wtgodbe (32)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=wigodbe@microsoft.com)
- [Rahul Kumar (32)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=rahku@microsoft.com)
- [Aditya Mandaleeka (32)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=adityam@microsoft.com)
- [Brian Sullivan (26)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=briansul@microsoft.com)
- [Andy Ayers (25)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=andya@microsoft.com)
- [Stephen Toub (24)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=stoub@microsoft.com)
- [Gaurav Khanna (23)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=gkhanna@microsoft.com)
- [Mike McLaughlin (22)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=mikem@microsoft.com)
- [Carol Eidt (21)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=carol.eidt@microsoft.com)
- [Jan Vorlicek (21)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=janvorli@microsoft.com)
- [Jonghyun Park (18)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=parjong@gmail.com)
- [Mike Danes (17)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=onemihaid@hotmail.com)
- [Ben Adams (16)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=thundercat@illyriad.co.uk)
- [Smile Wei (16)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=xiwe@microsoft.com)
- [Michelle McDaniel (15)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=adiaaida@gmail.com)
- [Rama Krishnan Raghupathy (14)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=ramarag@microsoft.com)
- [Peter Jas (14)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=necmon@yahoo.com)
- [Prajwal A N (14)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=an.prajwal@samsung.com)
- [Fadi Hanna (14)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=fadim@microsoft.com)
- [Lakshmi Priya Sekar (13)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=lasekar@microsoft.com)
- [Justin Van Patten (13)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=jvp@justinvp.com)
- [Eric Mellino (12)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=erme@microsoft.com)
- [Koundinya Veluri (11)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=kouvel@microsoft.com)
- [Sean Gillespie (11)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=segilles@microsoft.com)
- [Russ Keldorph (11)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=Russ.Keldorph@microsoft.com)
- [John Chen (10)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=jochen@microsoft.com)
- [Maoni0 (10)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=maonis@microsoft.com)
- [Evgeny Pavlov (10)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=e.pavlov@samsung.com)
- [Sung-Jae Lee (10)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=sjlee@mail.com)
- [Matt Ellis (10)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=matell@microsoft.com)
- [Matt Mitchell (10)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=mmitche@microsoft.com)
- [jashoo (9)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=jashoo@microsoft.com)
- [Pat Gavlin (9)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=pgavlin@gmail.com)
- [Alex Ghiondea (9)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=ghiondea.alexandru@microsoft.com)
- [Evgeny Pavlov (9)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=lucenticus@gmail.com)
- [Geunsik Lim (8)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=leemgs@users.noreply.github.com)
- [Jose Perez Rodriguez (8)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=joperezr@microsoft.com)
- [Swaroop Sridhar (8)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=swaroops@microsoft.com)
- [Hanjoung Lee (7)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=hanjoung.lee@samsung.com)
- [Aditya Mandaleeka (7)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=adityamandaleeka@users.noreply.github.com)
- [Joseph Tremoulet (7)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=jotrem@microsoft.com)
- [chunseoklee (6)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=chunseoklee@naver.com)
- [John Chen (CLR) (5)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=jochen@microsoft.com)
- [MyungJoo Ham (5)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=myungjoo.ham@gmail.com)
- [Vance Morrison (5)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=vancemorrison@comcast.net)
- [Tarek Mahmoud Sayed (5)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=tarekms@microsoft.com)
- [Petr Onderka (5)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=gsvick@gmail.com)
- [Jarret Shook (4)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=jashoo@microsoft.com)
- [Hyung-Kyu Choi (4)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=hqueue@users.noreply.github.com)
- [Wes Haggard (4)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=Wes.Haggard@microsoft.com)
- [sivarv (4)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=sivarv@microsoft.com)
- [Davis Goodin (4)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=dagood@microsoft.com)
- [David Mason (4)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=davmason@microsoft.com)
- [Kshama Pawar (4)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=kspawa@microsoft.com)
- [Lakshmi Priya (4)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=Priya91@users.noreply.github.com)
- [Sejong Oh (4)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=sejooh@microsoft.com)
- [Eric St. John (3)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=ericstj@microsoft.com)
- [Dmitri-Botcharnikov (3)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=dmitry.b@samsung.com)
- [Yi Zhang (3)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=yzha@microsoft.com)
- [Maoni Stephens (3)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=maonis@microsoft.com)
- [Brian Robbins (3)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=brianrob@microsoft.com)
- [Ivan Baravy (3)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=i.baravy@samsung.com)
- [Bruce Bowyer-Smyth (3)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=bbowyersmyth@live.com.au)
- [Joel Hendrix (3)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=jhendrix@microsoft.com)
- [Hyung-Kyu Choi (3)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=hk0110.choi@samsung.com)
- [stephentoub (3)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=stoub@microsoft.com)
- [Vance Morrison (3)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=vancem@microsoft.com)
- [Eugene Rozenfeld (3)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=erozen@microsoft.com)
- [Egor Chesakov (3)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=t-egche@microsoft.com)
- [Stephen A. Imhoff (2)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=clockwork-muse@outlook.com)
- [Dan Moseley (2)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=danmose@microsoft.com)
- [Deepak Shankargouda (2)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=deshank@microsoft.com)
- [Geunsik Lim (2)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=geunsik.lim@samsung.com)
- [Hanjoung Lee (2)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=waterets@gmail.com)
- [Hannah Zhang (2)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=t-hazhan@microsoft.com)
- [Hyeongseok Oh (2)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=hseok82.oh@smasung.com)
- [Jostein Kjønigsen (2)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=jostein@kjonigsen.net)
- [Lee Culver (2)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=leculver@microsoft.com)
- [Lubomir Litchev (2)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=lubol@microsoft.com)
- [Manu (2)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=manu-silicon@users.noreply.github.com)
- [Mariana Rios Flores (2)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=mariari@microsoft.com)
- [MyungJoo Ham (2)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=myungjoo.ham@samsung.com)
- [Rich Lander (2)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=rlander@microsoft.com)
- [Sasha Semennikov (2)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=alsemenn@microsoft.com)
- [Senthil (2)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=schellap@microsoft.com)
- [Sepideh Khoshnood (2)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=sekho@microsoft.com)
- [Sujin Kim (2)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=sjsujin.kim@samsung.com)
- [Tanner Gooding (2)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=tannergooding@users.noreply.github.com)
- [Viacheslav Nikolaev (2)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=v.nikolaev@samsung.com)
- [Viacheslav Nikolaev (2)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=v.nikolaev@samsung.ru)
- [William Godbe (2)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=wigodbe@microsoft.com)
- [papaslavik (2)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=v.nikolaev@samsung.com)
- [rhadley (2)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=rhadley@microsoft.com)
- [vinnyrom (2)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=vinnyrom@microsoft.com)
- [Kurt Aadnoy (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=kurt+github@aadnoy.info)
- [Peter Foley (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=pefoley2@pefoley.com)
- [Jürgen Hötzel (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=juergen@hoetzel.info)
- [Peter Kukol (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=pkukol@users.noreply.github.com)
- [Jostein KjÃ¸nigsen (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=jostein@kjonigsen.net)
- [Jose Manuel Heredia Hidalgo (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=joheredi@microsoft.com)
- [Prajwal A N (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=prajwal.an92@gmail.com)
- [Jonathan Miller (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=jonmill@microsoft.com)
- [Rajkumar Janakiraman (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=janakiraman.rajkumar@gmail.com)
- [JohnChen0 (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=jochen@microsoft.com)
- [kvochko (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=a.kvochko@samsung.com)
- [Jiyoung Yun (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=jy910.yun@samsung.com)
- [SaeHie Park (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=saehie.park@samsung.com)
- [mkborg (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=mkborg@users.noreply.github.com)
- [Sasha Semennikov (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=alsemenn@sashas-mbp.guest.corp.microsoft.com)
- [Sean Gillespie (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=sean.william.g@gmail.com)
- [Jiyoung Giuliana Yun (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=t2wish@gmail.com)
- [Sejong OH (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=sejooh@microsoft.com)
- [Jim Ma (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=mazong1123@gmail.com)
- [noahfalk (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=noahfalk@users.noreply.github.com)
- [Łukasz Domeradzki (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=JustArchi@users.noreply.github.com)
- [Sergiy Kuryata (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=sergeyk@microsoft.com)
- [Shahid Khan (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=shahid.mrd@hotmail.com)
- [Jeremy Kuhne (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=jeremy.kuhne@microsoft.com)
- [Adam Sitnik (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=adam.sitnik@gmail.com)
- [Jarret Shook (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=jashook@jarrets-mini.guest.corp.microsoft.com)
- [Adam Speight (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=AdamSpeight2008@users.noreply.github.com)
- [James Singleton (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=jpsingleton@users.noreply.github.com)
- [Swaroop Sridhar (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=Swaroop.Sridhar@microsoft.com)
- [Hyeongseok Oh (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=hseok82.oh@samsung.com)
- [sepidehMS (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=sekho@microsoft.com)
- [Guo Xiao (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=guoxiao@users.noreply.github.com)
- [Tarekm Mahmoud Sayed (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=tarekms@microsoft.com)
- [Tijoy Tom Kalathiparambil (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=tijoytk@microsoft.com)
- [Evgeniy Devyatkin (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=mail@edevyatkin.com)
- [Dmitri Botcharnikov (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=dmitry.b@samsung.com)
- [Atsushi Kanamori (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=atsushik@microsoft.com)
- [Andrey Kvochko (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=a.kvochko@samsung.com)
- [Davis Goodin (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=dagood@users.noreply.github.com)
- [Wes Haggard (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=weshaggard@users.noreply.github.com)
- [tijoytom (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=tijoytom@users.noreply.github.com)
- [Xiangyang (Mark) Guo (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=xiangyang.guo@intel.com)
- [Chris McKinsey (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=chrismck@microsoft.com)
- [Bryan P. Arant (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=bryanar@microsoft.com)
- [Bryan Arant (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=bryanar@microsoft.com)
- [Barry Dorrans (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=Barry.Dorrans@microsoft.com)
- [hqueue (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=hqueue@users.noreply.github.com)
- [Austin Wise (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=AustinWise@gmail.com)
- [jashook (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=jashoo@microsoft.com)
- [joemmett (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=joemmett@microsoft.com)
- [kchoi (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=code.kchoi@gmail.com)
- [Martin Woodward (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=martin@dotnetfoundation.org)
- [Matt Warren (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=matt.warren@live.co.uk)
- [Michal Strehovský (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=michals@microsoft.com)
- [Maira Wenzel (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=mairaw@microsoft.com)
- [Lukasz Tomczyk (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=lutom@microsoft.com)
- [Lubomir Litchev (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=LLITCHEV@users.noreply.github.com)
- [Mikhail I. Krivtsov (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=m.krivtsov@samsung.com)
- [Mukul Sabharwal (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=mjsabby@gmail.com)
- [Lorenzo Tessiore (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=lt72@users.noreply.github.com)
- [kingces95 (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=kingces95@users.noreply.github.com)
- [Oguz Bastemur (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=obastemur@users.noreply.github.com)
- [Oleg Demchenko (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=olegoid91@gmail.com)
- [KrzysztofCwalina (1)](https://github.com/dotnet/coreclr/commits/release/1.1.0/?author=kcwalina@microsoft.com)

## CoreFX

- [Stephen Toub (176)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=stoub@microsoft.com)
- [Eric St. John (83)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=ericstj@microsoft.com)
- [Shin Mao (60)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=shmao@microsoft.com)
- [Hugh Bellamy (57)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=hughbellars@gmail.com)
- [Jeremy Barton (42)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=jbarton@microsoft.com)
- [Lakshmi Priya Sekar (34)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=lasekar@microsoft.com)
- [Ian Hays (29)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=ianha@microsoft.com)
- [Eric Mellino (28)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=erme@microsoft.com)
- [James Ko (27)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=jamesqko@gmail.com)
- [Justin Van Patten (24)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=jvp@justinvp.com)
- [Matt Ellis (23)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=matell@microsoft.com)
- [Tomáš Matoušek (20)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=tmat@users.noreply.github.com)
- [David Shulman (18)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=david.shulman@microsoft.com)
- [Jon Hanna (17)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=jon@hackcraft.net)
- [Karthik Rajasekaran (15)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=karajas@microsoft.com)
- [Wes Haggard (14)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=Wes.Haggard@microsoft.com)
- [Bart De Smet (14)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=bartde@microsoft.com)
- [Mariana Rios Flores (13)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=mariari@microsoft.com)
- [Davis Goodin (12)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=dagood@microsoft.com)
- [Eric Eilebrecht (12)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=ericeil@users.noreply.github.com)
- [Petr Onderka (11)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=gsvick@gmail.com)
- [Julien Couvreur (11)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=julien.couvreur@gmail.com)
- [Joel Hendrix (11)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=jhendrix@microsoft.com)
- [Gaurav Khanna (10)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=gkhanna@microsoft.com)
- [Cristian Pop (10)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=Cristian.Pop@microsoft.com)
- [Tomas Matousek (9)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=tomas.matousek@microsoft.com)
- [Deepak Shankargouda (9)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=deshank@microsoft.com)
- [Cory Rivera (8)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=corivera@microsoft.com)
- [chcosta (8)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=chcosta@microsoft.com)
- [Christopher Costa (8)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=chcosta@microsoft.com)
- [Jose Perez Rodriguez (8)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=joperezr@microsoft.com)
- [Hyeongseok Oh (6)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=hseok82.oh@smasung.com)
- [Tijoy Tom Kalathiparambil (5)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=tijoytk@microsoft.com)
- [Nick Guerrera (5)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=nicholg@microsoft.com)
- [Eric Eilebrecht (5)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=ericeil@hotmail.com)
- [Prajwal A N (5)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=an.prajwal@samsung.com)
- [Saurabh Singh (5)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=saurabh500@gmail.com)
- [Matt Galbraith (5)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=mattgal@microsoft.com)
- [SGuy Ge (4)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=sguyge@microsoft.com)
- [Sung-Jae Lee (4)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=sjlee@mail.com)
- [Jan Kotas (4)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=jkotas@microsoft.com)
- [huanwu (4)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=huanwu@microsoft.com)
- [Denis Istomin (4)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=istomin.den@gmail.com)
- [Jeremy Kuhne (3)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=jeremy.kuhne@microsoft.com)
- [Dmitri Botcharnikov (3)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=dmitry.b@samsung.com)
- [Tarek Mahmoud Sayed (3)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=tarekms@microsoft.com)
- [Atsushi Kanamori (3)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=atsushik@microsoft.com)
- [sjsujin.kim (3)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=sjsujin.kim@samsung.com)
- [Stephen A. Imhoff (3)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=clockwork-muse@outlook.com)
- [Davis Goodin (3)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=dagood@users.noreply.github.com)
- [vitek-karas (3)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=vitek.karas@microsoft.com)
- [Khoa Dang (3)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=Khoa.Dang@microsoft.com)
- [Andrew Stanton-Nurse (3)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=andrew@andrewnurse.net)
- [Matt Galbraith (3)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=MattGal@users.noreply.github.com)
- [Matt Connew (3)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=mconnew@microsoft.com)
- [Andrew Au (3)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=andrewau@microsoft.com)
- [Bret Ambrose (2)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=bambrose@amazon.com)
- [Mike McLaughlin (2)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=mikem@microsoft.com)
- [Lakshmi Priya (2)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=Priya91@users.noreply.github.com)
- [stephentoub (2)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=stoub@microsoft.com)
- [Jiyoung Yun (2)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=jy910.yun@samsung.com)
- [bjjones (2)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=brandon1.jones@intel.com)
- [Vance Morrison (2)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=vancem@microsoft.com)
- [Koundinya Veluri (2)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=kouvel@microsoft.com)
- [David Mason (2)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=davmason@microsoft.com)
- [Thomas Stringer (2)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=tr.stringer@outlook.com)
- [Vance Morrison (2)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=vancemorrison@comcast.net)
- [Andy Gocke (2)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=angocke@microsoft.com)
- [Tanner Gooding (2)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=tagoo@outlook.com)
- [louluqun (2)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=louluqun@hotmail.com)
- [maririos (2)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=mariari@microsoft.com)
- [Jonghyun Park (2)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=parjong@gmail.com)
- [Alex Ghiondea (2)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=ghiondea.alexandru@microsoft.com)
- [Łukasz Domeradzki (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=JustArchi@users.noreply.github.com)
- [Alexander Kozlenko (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=alexander.kozlenko@live.com)
- [Andrew Peters (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=anpete@microsoft.com)
- [Anthony van der Hoorn (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=anthony.vanderhoorn@gmail.com)
- [Austin Wise (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=AustinWise@gmail.com)
- [Barry Dorrans (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=Barry.Dorrans@microsoft.com)
- [Ben Adams (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=thundercat@illyriad.co.uk)
- [Bruce Bowyer-Smyth (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=bbowyersmyth@live.com.au)
- [Bryan P. Arant (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=bryanar@microsoft.com)
- [Chickenzilla (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=Chickenzilla@users.noreply.github.com)
- [Christian Weiss (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=christian@chwe.at)
- [Cristian Pop (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=CIPop@users.noreply.github.com)
- [Dan Moseley (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=danmose@microsoft.com)
- [Daniel Plaisted (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=dsplaisted@gmail.com)
- [David Sherret (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=dsherret@gmail.com)
- [David Zucker (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=davzucky@hotmail.com)
- [Dmitri-Botcharnikov (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=dmitry.b@samsung.com)
- [Dmitry-Me (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=wipedout@yandex.ru)
- [Dylan Borg (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=borgdylan@hotmail.com)
- [Eric StJohn (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=ericstj@microsoft.com)
- [Evgeny Pavlov (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=e.pavlov@samsung.com)
- [Evgeny Pavlov (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=lucenticus@gmail.com)
- [Gene Lee (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=gelee@microsoft.com)
- [Hyeongseok Oh (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=hseok82.oh@samsung.com)
- [Immo Landwerth (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=immol@microsoft.com)
- [Jason Pang (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=jasonpa@microsoft.com)
- [John Bottenberg (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=jobotten@microsoft.com)
- [Josh Free (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=joshfree@users.noreply.github.com)
- [Jostein KjÃ¸nigsen (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=jostein@kjonigsen.net)
- [Julien (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=jcouv@users.noreply.github.com)
- [Koundinya Veluri (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=kouvel@users.noreply.github.com)
- [Maira Wenzel (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=mairaw@users.noreply.github.com)
- [Marek (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=GitHub@marekfiser.cz)
- [Mark Junker (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=fubar-coder@users.noreply.github.com)
- [Matt Mitchell (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=matchell@outlook.com)
- [Matt Mitchell (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=mmitche@microsoft.com)
- [Oren Novotny (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=oren@novotny.org)
- [Peter (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=necmon@yahoo.com)
- [Peter Jas (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=necmon@yahoo.com)
- [R. Fontenot (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=robwobbol@gmail.com)
- [Rainer Sigwald (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=raines@microsoft.com)
- [Rama Krishnan Raghupathy (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=ramarag@microsoft.com)
- [Rich Lander (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=rlander@microsoft.com)
- [SaeHie Park (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=saehie.park@samsung.com)
- [Shahriar Gholami (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=shrgholami@gmail.com)
- [Stephen Bonikowsky (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=stebon@microsoft.com)
- [Steve Harter (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=steveharter@users.noreply.github.com)
- [Tanner Gooding (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=tagoo@microsoft.com)
- [Tarekm Mahmoud Sayed (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=tarekms@microsoft.com)
- [VSadov (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=vsadov@microsoft.com)
- [Wes Haggard (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=weshaggard@users.noreply.github.com)
- [Yi Zhang (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=yzha@microsoft.com)
- [Yongseop Kim (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=yons.kim@samsung.com)
- [alkurian (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=alkurian@microsoft.com)
- [alphonsekurian (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=alphonsekurian@icloud.com)
- [bartonjs (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=jbarton@microsoft.com)
- [huanwu@microsoft.com (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=huanwu@microsoft.com)
- [jarenduan (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=jarenduan@gmail.com)
- [mkborg (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=mkborg@users.noreply.github.com)
- [mlacouture (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=mlacouture@msn.com)
- [sichbo (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=simon@sichbo.ca)
- [sjsujinkim (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=sjsujin.kim@samsung.com)
- [steveharter (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=sharter@microsoft.com)
- [yfakariya (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=yfakariya@gmail.com)
- [Aditya Mandaleeka (1)](https://github.com/dotnet/corefx/commits/release/1.1.0/?author=adityam@microsoft.com)

## WCF

- [Stephen Bonikowsky (58)](https://github.com/dotnet/wcf/commits/release/1.1.0/?author=stebon@microsoft.com)
- [Ron Cain (47)](https://github.com/dotnet/wcf/commits/release/1.1.0/?author=roncain@microsoft.com)
- [Jason Pang (42)](https://github.com/dotnet/wcf/commits/release/1.1.0/?author=jasonpa@microsoft.com)
- [Matt Connew (23)](https://github.com/dotnet/wcf/commits/release/1.1.0/?author=mconnew@microsoft.com)
- [hongdai (16)](https://github.com/dotnet/wcf/commits/release/1.1.0/?author=hongdai@microsoft.com)
- [Eric St. John (9)](https://github.com/dotnet/wcf/commits/release/1.1.0/?author=ericstj@microsoft.com)
- [Zhenlan Wang (7)](https://github.com/dotnet/wcf/commits/release/1.1.0/?author=zhenlwa@microsoft.com)
- [Jason Pang (4)](https://github.com/dotnet/wcf/commits/release/1.1.0/?author=iamjasonp@users.noreply.github.com)
- [Eric Mellino (2)](https://github.com/dotnet/wcf/commits/release/1.1.0/?author=erme@microsoft.com)
- [Matt (1)](https://github.com/dotnet/wcf/commits/release/1.1.0/?author=mconnew@microsoft.com)
- [Eric StJohn (1)](https://github.com/dotnet/wcf/commits/release/1.1.0/?author=ericstj@microsoft.com)
- [Joel Hendrix (1)](https://github.com/dotnet/wcf/commits/release/1.1.0/?author=jhendrix@microsoft.com)
- [Barry Dorrans (1)](https://github.com/dotnet/wcf/commits/release/1.1.0/?author=Barry.Dorrans@microsoft.com)
- [Matt Ellis (1)](https://github.com/dotnet/wcf/commits/release/1.1.0/?author=matell@microsoft.com)
- [Wes Haggard (1)](https://github.com/dotnet/wcf/commits/release/1.1.0/?author=Wes.Haggard@microsoft.com)
