# Contributions to .NET Core 2.0 Preview 1

We're still working out the best way to present contributors and trying to be as accurate as possible. The list below is generated with the following command listed below in an attempt to capture all contributions which have gone into .NET Core 2.0 Preview 1. Where multiple email addresses were returned for a single person, the counts were aggregated with the email address reported the most commits.

```bash
git shortlog -sne --no-merges --since release/2.0.0@{2016-10-03} --until release/2.0.0@{2017-05-05} --committer="dotnet-bot" --invert-grep
```

When you navigate to a contributors commit page, the results are not filtered by release so more commits than are listed below will be shown.

* [CLI](#cli)
* [CoreCLR](#coreclr)
* [CoreFX](#corefx)
* [WCF](#wcf)

## CLI

* [Livar Cunha (227)](https://github.com/dotnet/cli/commits/release/2.0.0?author=livar@live.com)
* [Piotr Puszkiewicz (219)](https://github.com/dotnet/cli/commits/release/2.0.0?author=piotrp@microsoft.com)
* [Justin Goshi (145)](https://github.com/dotnet/cli/commits/release/2.0.0?author=jgoshi@microsoft.com)
* [Eric Erhardt (136)](https://github.com/dotnet/cli/commits/release/2.0.0?author=eric.erhardt@microsoft.com)
* [Krzysztof Wicher (103)](https://github.com/dotnet/cli/commits/release/2.0.0?author=mordotymoja@gmail.com)
* [jonsequitur (74)](https://github.com/dotnet/cli/commits/release/2.0.0?author=jonsequeira@gmail.com)
* [Jon Sequeira (51)](https://github.com/dotnet/cli/commits/release/2.0.0?author=jonsequeira@gmail.com)
* [Mike Lorbetske (43)](https://github.com/dotnet/cli/commits/release/2.0.0?author=mike.lorbetske@n3-p.com)
* [Faizan Ahmad (32)](https://github.com/dotnet/cli/commits/release/2.0.0?author=faahmad@microsoft.com)
* [Livar Cunha (29)](https://github.com/dotnet/cli/commits/release/2.0.0?author=licavalc@microsoft.com)
* [Zlatko Knezevic (29)](https://github.com/dotnet/cli/commits/release/2.0.0?author=zlakne@microsoft.com)
* [Bryan Thornbury (26)](https://github.com/dotnet/cli/commits/release/2.0.0?author=brthor@microsoft.com)
* [Livar (25)](https://github.com/dotnet/cli/commits/release/2.0.0?author=licavalc@microsoft.com)
* [Daniel Plaisted (25)](https://github.com/dotnet/cli/commits/release/2.0.0?author=daplaist@microsoft.com)
* [Nick Guerrera (21)](https://github.com/dotnet/cli/commits/release/2.0.0?author=nicholg@microsoft.com)
* [Scott Carlton (19)](https://github.com/dotnet/cli/commits/release/2.0.0?author=v-sccarl@microsoft.com)
* [William Li (18)](https://github.com/dotnet/cli/commits/release/2.0.0?author=wul@microsoft.com)
* [John Beisner (15)](https://github.com/dotnet/cli/commits/release/2.0.0?author=jbeisner@microsoft.com)
* [Satya Madala (14)](https://github.com/dotnet/cli/commits/release/2.0.0?author=samadala@microsoft.com)
* [Unknown (14)](https://github.com/dotnet/cli/commits/release/2.0.0?author=piotrp@microsoft.com)
* [Rama Krishnan Raghupathy (12)](https://github.com/dotnet/cli/commits/release/2.0.0?author=ramarag@microsoft.com)
* [Matt Ellis (12)](https://github.com/dotnet/cli/commits/release/2.0.0?author=matell@microsoft.com)
* [Harsh Jain (10)](https://github.com/dotnet/cli/commits/release/2.0.0?author=harjain@microsoft.com)
* [Nate Amundson (9)](https://github.com/dotnet/cli/commits/release/2.0.0?author=naamunds@microsoft.com)
* [Ankit Mishra (9)](https://github.com/dotnet/cli/commits/release/2.0.0?author=anmishr@microsoft.com)
* [Rohit Agrawal (9)](https://github.com/dotnet/cli/commits/release/2.0.0?author=ragrawal@microsoft.com)
* [Jeff Kluge (8)](https://github.com/dotnet/cli/commits/release/2.0.0?author=jeffkl@microsoft.com)
* [Vijay Ramakrishnan (7)](https://github.com/dotnet/cli/commits/release/2.0.0?author=vramak@microsoft.com)
* [Shayne Boyer (6)](https://github.com/dotnet/cli/commits/release/2.0.0?author=spboyer@live.com)
* [dasMulli (6)](https://github.com/dotnet/cli/commits/release/2.0.0?author=martin.andreas.ullrich@gmail.com)
* [Omair Majid (6)](https://github.com/dotnet/cli/commits/release/2.0.0?author=omajid@redhat.com)
* [Justin Emgarten (6)](https://github.com/dotnet/cli/commits/release/2.0.0?author=justin@emgarten.com)
* [Mike Lorbetske (5)](https://github.com/dotnet/cli/commits/release/2.0.0?author=mlorbe@microsoft.com)
* [Arun Mahapatra (5)](https://github.com/dotnet/cli/commits/release/2.0.0?author=codito@users.noreply.github.com)
* [Parallels (5)](https://github.com/dotnet/cli/commits/release/2.0.0?author=livar@live.com)
* [Maira Wenzel (5)](https://github.com/dotnet/cli/commits/release/2.0.0?author=mairaw@microsoft.com)
* [Jonathan Channon (4)](https://github.com/dotnet/cli/commits/release/2.0.0?author=jonathan.channon@gmail.com)
* [Zbyněk Sailer (4)](https://github.com/dotnet/cli/commits/release/2.0.0?author=v-zbsail@microsoft.com)
* [blackdwarf (4)](https://github.com/dotnet/cli/commits/release/2.0.0?author=zlakne@microsoft.com)
* [Sridhar Periyasamy (4)](https://github.com/dotnet/cli/commits/release/2.0.0?author=sridhper@microsoft.com)
* [Faizan2304 (3)](https://github.com/dotnet/cli/commits/release/2.0.0?author=faizan2304@hotmail.com)
* [Arun Mahapatra (3)](https://github.com/dotnet/cli/commits/release/2.0.0?author=armahapa@microsoft.com)
* [Davis Goodin (3)](https://github.com/dotnet/cli/commits/release/2.0.0?author=dagood@microsoft.com)
* [mendhak (3)](https://github.com/dotnet/cli/commits/release/2.0.0?author=gpslogger@mendhak.com)
* [PiotrP (3)](https://github.com/dotnet/cli/commits/release/2.0.0?author=piotrp@microsoft.com)
* [Enrico Sada (3)](https://github.com/dotnet/cli/commits/release/2.0.0?author=enrico@sada.io)
* [seancpeters (3)](https://github.com/dotnet/cli/commits/release/2.0.0?author=sepeters@microsoft.com)
* [v-masche (3)](https://github.com/dotnet/cli/commits/release/2.0.0?author=v-masche@DDVMASCHE492)
* [vsccarl (2)](https://github.com/dotnet/cli/commits/release/2.0.0?author=v-sccarl@microsoft.com)
* [Anoop John Bandi (2)](https://github.com/dotnet/cli/commits/release/2.0.0?author=aajohn@microsoft.com)
* [Chris Rummel (2)](https://github.com/dotnet/cli/commits/release/2.0.0?author=crummel@microsoft.com)
* [Nate McMaster (2)](https://github.com/dotnet/cli/commits/release/2.0.0?author=nate.mcmaster@microsoft.com)
* [Scott Hanselman (2)](https://github.com/dotnet/cli/commits/release/2.0.0?author=scott@hanselman.com)
* [Fredric Silberberg (2)](https://github.com/dotnet/cli/commits/release/2.0.0?author=frsilb@microsoft.com)
* [Shannon (2)](https://github.com/dotnet/cli/commits/release/2.0.0?author=sdeminick@gmail.com)
* [Jiyoung Yun (2)](https://github.com/dotnet/cli/commits/release/2.0.0?author=jy910.yun@samsung.com)
* [Rohit (NUGET) (2)](https://github.com/dotnet/cli/commits/release/2.0.0?author=ragrawal@microsoft.com)
* [Taylor Mullen (2)](https://github.com/dotnet/cli/commits/release/2.0.0?author=nimullen@microsoft.com)
* [Alex Barney (2)](https://github.com/dotnet/cli/commits/release/2.0.0?author=thealexbarney@gmail.com)
* [Rob Relyea (2)](https://github.com/dotnet/cli/commits/release/2.0.0?author=rrelyea@microsoft.com)
* [Petr Onderka (2)](https://github.com/dotnet/cli/commits/release/2.0.0?author=gsvick@gmail.com)
* [Phil Henning (2)](https://github.com/dotnet/cli/commits/release/2.0.0?author=phenning@microsoft.com)
* [Daniel Lo Nigro (2)](https://github.com/dotnet/cli/commits/release/2.0.0?author=daniel@dan.cx)
* [Richard Lander (2)](https://github.com/dotnet/cli/commits/release/2.0.0?author=rlander@microsoft.com)
* [Karthik Rajasekaran (2)](https://github.com/dotnet/cli/commits/release/2.0.0?author=karajas@microsoft.com)
* [Ryan Stelly (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=ryan.stelly@live.com)
* [Jérémie Galarneau (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=jeremie.galarneau@gmail.com)
* [Jürgen Pfeifer (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=juergen@familiepfeifer.de)
* [Ken Dale (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=ken@kendaleiv.com)
* [Kyu Choi (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=hk0110.choi@samsung.com)
* [Falco (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=rs38@users.noreply.github.com)
* [Martin Andreas Ullrich (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=martin.andreas.ullrich@gmail.com)
* [Eric Mellino (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=erme@microsoft.com)
* [Matt Galbraith (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=MattGal@users.noreply.github.com)
* [MichaelSimons (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=msimons@microsoft.com)
* [Dustin Campbell (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=dustin@teamcampbell.org)
* [Nikolaj Jørgensen (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=nikolaj@loftjoer.dk)
* [Pranav K (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=prkrishn@hotmail.com)
* [Rainer Sigwald (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=raines@microsoft.com)
* [Rakesh Ranjan Singh (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=raksingh@microsoft.com)
* [Ravi Eda (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=raeda@microsoft.com)
* [Ravi Mandal (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=ravimandal47@hotmail.com)
* [Rich Lander (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=rlander@microsoft.com)
* [Rikard Johansson (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=rajoo@mail.com)
* [Roger (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=narayanroger@gmail.com)
* [Chris R (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=crummel@microsoft.com)
* [Axel Heer (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=axel@heer.eu)
* [Scott Addie (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=tobias.addie@gmail.com)
* [Steve Desmond (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=steve@vtsv.ca)
* [William Li (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=williamli@williams-mbp.guest.corp.microsoft.com)
* [Alex Barney (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=Thealexbarney@users.noreply.github.com)
* [eerhardt (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=eric.erhardt@microsoft.com)
* [faahmad (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=faahmad@FAAHMAD-RTW3)
* [foresterre (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=foresterre@ilumeo.com)
* [Adeel (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=adeelbm@outlook.com)
* [mlorbetske (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=mike.lorbetske@n3-p.com)
* [v-mdriml (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=v-mdriml@microsoft.com)

## CoreCLR

* [Jonghyun Park (227)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=parjong@gmail.com)
* [Jan Kotas (157)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=jkotas@microsoft.com)
* [danmosemsft (139)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=danmose@microsoft.com)
* [Pat Gavlin (130)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=pagavlin@microsoft.com)
* [Bruce Forstall (80)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=brucefo@microsoft.com)
* [Andy Ayers (74)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=andya@microsoft.com)
* [Stephen Toub (74)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=stoub@microsoft.com)
* [wtgodbe (60)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=wigodbe@microsoft.com)
* [Joseph Tremoulet (55)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=jotrem@microsoft.com)
* [Mike Danes (55)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=onemihaid@hotmail.com)
* [SaeHie Park (42)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=saehie.park@gmail.com)
* [Sergey Andreenko (42)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=seandree@microsoft.com)
* [Jan Vorlicek (41)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=janvorli@microsoft.com)
* [Aditya Mandaleeka (40)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=adityam@microsoft.com)
* [Michelle McDaniel (39)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=adiaaida@gmail.com)
* [Hyeongseok Oh (38)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=hseok82.oh@samsung.com)
* [Steve MacLean, Qualcomm Datacenter Technologies, Inc (37)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=sdmaclea@qti.qualcomm.com)
* [Koundinya Veluri (35)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=kouvel@microsoft.com)
* [Rahul Kumar (34)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=rahku@microsoft.com)
* [dotnet bot (31)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=dotnet-bot@dotnetfoundation.org)
* [Carol Eidt (31)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=carol.eidt@microsoft.com)
* [Sean Gillespie (30)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=sean@swgillespie.me)
* [Gaurav Khanna (29)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=gkhanna@microsoft.com)
* [Justin Van Patten (29)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=jvp@justinvp.com)
* [James Ko (28)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=jamesqko@gmail.com)
* [Tarek Mahmoud Sayed (28)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=tarekms@microsoft.com)
* [Christopher Costa (27)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=chcosta@microsoft.com)
* [Mikhail Skvortcov (26)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=m.skvortcov@partner.samsung.com)
* [Atsushi Kanamori (26)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=AtsushiKan@users.noreply.github.com)
* [sivarv (26)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=sivarv@microsoft.com)
* [Ben Adams (25)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=thundercat@illyriad.co.uk)
* [Alex Perovich (24)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=alperovi@microsoft.com)
* [Dan Moseley (24)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=danmose@microsoft.com)
* [jashook (21)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=jashoo@microsoft.com)
* [Frederik Carlier (20)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=frederik.carlier@quamotion.mobi)
* [Steve MacLean (20)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=sdmaclea@qti.qualcomm.com)
* [Hyung-Kyu Choi (19)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=hk0110.choi@samsung.com)
* [Brian Sullivan (19)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=briansul@microsoft.com)
* [Evgeny Pavlov (17)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=lucenticus@gmail.com)
* [Jeremy Kuhne (17)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=jeremy.kuhne@microsoft.com)
* [Drew Scoggins (17)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=anscoggi@microsoft.com)
* [Mike McLaughlin (16)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=mikem@microsoft.com)
* [Michal Strehovský (16)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=MichalStrehovsky@users.noreply.github.com)
* [John Chen (15)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=jochen@microsoft.com)
* [mikedn (14)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=onemihaid@hotmail.com)
* [Russ Keldorph (13)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=Russ.Keldorph@microsoft.com)
* [Rama Krishnan Raghupathy (13)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=ramarag@microsoft.com)
* [ahsonkhan (12)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=ahson_ahmedk@yahoo.com)
* [Ahson Ahmed Khan (12)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=ahsonkhan@users.noreply.github.com)
* [Dmitry-Me (11)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=Dmitry-Me@users.noreply.github.com)
* [Stephen A. Imhoff (11)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=clockwork-muse@outlook.com)
* [Tanner Gooding (10)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=tagoo@outlook.com)
* [Swaroop Sridhar (10)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=swaroops@microsoft.com)
* [Hanjoung Lee (10)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=waterets@gmail.com)
* [Hyung-Kyu Choi (10)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=hqueue@users.noreply.github.com)
* [Ian Hays (10)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=ianha@microsoft.com)
* [Igor Kulaychuk (10)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=igor.kulaychuk@gmail.com)
* [Li Tian (10)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=litian2025@gmail.com)
* [Pat Gavlin (10)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=pgavlin@gmail.com)
* [Jim Ma (9)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=mazong1123@gmail.com)
* [William Godbe (9)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=wigodbe@microsoft.com)
* [Alexander Radchenko (9)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=radchenkosasha@gmail.com)
* [Alex Ghiondea (9)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=ghiondea.alexandru@microsoft.com)
* [ragmani (8)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=ragmani0216@gmail.com)
* [Eric Mellino (8)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=erme@microsoft.com)
* [Matt Mitchell (8)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=mmitche@microsoft.com)
* [Davis Goodin (8)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=dagood@users.noreply.github.com)
* [Alexander Soldatov (7)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=soldatov.a@samsung.com)
* [Faizur Rahman (7)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=shrah@microsoft.com)
* [Hyeongseok Oh (7)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=hseok82.oh@samasung.com)
* [Matt Ellis (7)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=matell@microsoft.com)
* [Vance Morrison (7)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=vancem@microsoft.com)
* [Sujin Kim (7)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=sjsujin.kim@samsung.com)
* [Jon Hanna (7)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=jon@hackcraft.net)
* [Eric Erhardt (6)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=eric.erhardt@microsoft.com)
* [SaeHie Park (6)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=saehie.park@samsung.com)
* [Rich Lander (6)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=rlander@microsoft.com)
* [José Rivero (5)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=jorive@microsoft.com)
* [Yi Zhang (CLR) (5)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=yizhang82@users.noreply.github.com)
* [John Chen (CLR) (5)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=jochen@microsoft.com)
* [Swaroop Sridhar (5)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=Swaroop.Sridhar@microsoft.com)
* [Karel Zikmund (5)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=karelz@users.noreply.github.com)
* [Matt Warren (5)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=matt.warren@live.co.uk)
* [Peter Marcu (5)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=Peter.Marcu@Microsoft.com)
* [Yongseop Kim (4)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=yons.kim@samsung.com)
* [Daniel Podder (4)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=dapodd@microsoft.com)
* [Adam Sitnik (4)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=adam.sitnik@gmail.com)
* [Maoni Stephens (4)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=Maoni0@users.noreply.github.com)
* [Hugh Bellamy (4)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=hughbellars@gmail.com)
* [Mandar Sahasrabuddhe (4)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=WinCPP@users.noreply.github.com)
* [Sven Boemer (4)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=sbomer@gmail.com)
* [Buyduck (4)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=ivan.vagin@partner.samsung.com)
* [noahfalk (4)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=noahfalk@microsoft.com)
* [Aditya Mandaleeka (4)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=adityamandaleeka@users.noreply.github.com)
* [Brian Robbins (4)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=brianrob@microsoft.com)
* [Tanner Gooding (4)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=tannergooding@users.noreply.github.com)
* [LaSombra (4)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=lasombra@users.noreply.github.com)
* [Omar Tawfik (3)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=OmarTawfik@users.noreply.github.com)
* [Evgeny Pavlov (3)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=e.pavlov@samsung.com)
* [chunseoklee (3)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=chunseoklee@naver.com)
* [Julien Couvreur (3)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=jcouv@users.noreply.github.com)
* [Cyd Haselton (3)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=chaselton@gmail.com)
* [Austin Wise (3)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=AustinWise@gmail.com)
* [Vance Morrison (3)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=vancemorrison@comcast.net)
* [Jiyoung Giuliana Yun (3)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=t2wish@gmail.com)
* [Sedar Gokbulut (3)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=sedarg@microsoft.com)
* [Sean Gillespie (3)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=sean.william.g@gmail.com)
* [Sasha Semennikov (3)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=alsemenn@microsoft.com)
* [Felipe Fujiy Pessoto (3)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=felipepessoto@hotmail.com)
* [Ilya (3)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=DieselMachine84@users.noreply.github.com)
* [Ravi Eda (3)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=raeda@microsoft.com)
* [Peter Kukol (3)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=pkukol@users.noreply.github.com)
* [Petr Onderka (3)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=gsvick@gmail.com)
* [Jeff Schwartz (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=jeffschw@microsoft.com)
* [mskvortsov (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=mikhael.skvortsov@gmail.com)
* [Dmitry (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=DmitryDzuba@users.noreply.github.com)
* [Tanner Gooding (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=tagoo@microsoft.com)
* [Santiago Fernandez Madero (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=safern@microsoft.com)
* [WinCPP (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=mandards@gmail.com)
* [Phil Christensen (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=philc@microsoft.com)
* [Dmitry-Me (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=wipedout@yandex.ru)
* [Fei Peng (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=fei.peng@intel.com)
* [Mukul Sabharwal (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=mjsabby@gmail.com)
* [Mukul Sabharwal (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=muks@microsoft.com)
* [Roman Artemev (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=rartemev@microsoft.com)
* [Smile Wei (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=xiwe@microsoft.com)
* [Rion Williams (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=rionmonster@gmail.com)
* [Omair Majid (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=omajid@redhat.com)
* [Bruce Bowyer-Smyth (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=bbowyersmyth@live.com.au)
* [Eric St. John (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=ericstj@microsoft.com)
* [303248153 (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=303248153@qq.com)
* [varocarbas (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=contact@customsolvers.com)
* [Paul Westcott (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=p.westcott@gmail.com)
* [Luis G (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=lggomez@users.noreply.github.com)
* [Maoni0 (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=maonis@microsoft.com)
* [Andrey Akinshin (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=andrey.akinshin@gmail.com)
* [Rama krishnan Raghupathy (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=ramarag@microsoft.com)
* [kvochko (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=a.kvochko@samsung.com)
* [Daniel Podder (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=dpodder@gmail.com)
* [Alex Ghiondea (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=AlexGhiondea@users.noreply.github.com)
* [Wes Haggard (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=Wes.Haggard@microsoft.com)
* [ahsonkhan (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=ahsonkhan@users.noreply.github.com)
* [chcosta (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=chcosta@microsoft.com)
* [adiaaida (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=adiaaida@gmail.com)
* [Adeel Mujahid (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=adeelbm@outlook.com)
* [AlexGhiondea (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=AlexGhiondea@users.noreply.github.com)
* [Alexandre Mutel (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=alexandre_mutel@live.com)
* [Andrey Kvochko (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=kvochko@users.noreply.github.com)
* [Ben Monroe (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=bendono@users.noreply.github.com)
* [Caio Kinelski (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=t-cakine@microsoft.com)
* [Cesar Blum Silveira (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=cesarbs@gmail.com)
* [Christoph Neumüller (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=c.neumueller@gmail.com)
* [DDCloud (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=ramarag@microsoft.com)
* [Daniel Cazzulino (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=daniel@cazzulino.com)
* [Derek Beattie (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=derek.beattie@gmail.com)
* [Dmitri-Botcharnikov (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=dmitry.b@samsung.com)
* [Erti-Chris Eelmaa (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=chriseelmaa@gmail.com)
* [Eugene Rozenfeld (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=erozen@microsoft.com)
* [Fadi Hanna (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=fadim@microsoft.com)
* [Greg G (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=6A@users.noreply.github.com)
* [Gustavo Hurovich (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=t-guhuro@microsoft.com)
* [Hadi Brais (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=hadi.b@live.com)
* [Han Lee (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=han.lee@intel.com)
* [Hanjoung Lee (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=hanjoung.lee@samsung.com)
* [Ilya Ivanov (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=ivanov@viva64.com)
* [Ionut Tamas (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=tamash_ionut@hotmail.com)
* [Ivan Baravy (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=i.baravy@samsung.com)
* [John Bottenberg (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=jobotten@microsoft.com)
* [John Gorter (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=john.gorter@gmail.com)
* [John Soklaski (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=jsokla@microsoft.com)
* [Joseph Musser (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=me@jnm2.com)
* [Joseph Tremoulet (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=JCTremoulet@gmail.com)
* [José Rivero (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=jorive@microsoft.com)
* [Jürgen Hötzel (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=juergen@hoetzel.info)
* [Llewellyn Pritchard (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=xacc.ide@gmail.com)
* [Maarten Mensink (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=maarten.mensink@dimensi.nl)
* [Marek Linka (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=mareklinka@users.noreply.github.com)
* [Martijn Hoekstra (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=martijn.hoekstra@cargoxs.com)
* [Matt Galbraith (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=MattGal@users.noreply.github.com)
* [Matt Galbraith (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=mattgal@microsoft.com)
* [Matthew Parkinson (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=mjp41@users.noreply.github.com)
* [Michael Letterle (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=mletterle@preemptive.com)
* [Michal Strehovský (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=michals@microsoft.com)
* [Mikhael Skvortsov (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=mikhael.skvortsov@gmail.com)
* [Mikhail Filippov (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=mikhail@filippov.me)
* [Nicolò Carandini (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=ncarandini@users.noreply.github.com)
* [Ofer Zelig (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=oferze@users.noreply.github.com)
* [Olof Olsson (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=borsna@users.noreply.github.com)
* [Omar Tawfik (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=otawfik@microsoft.com)
* [Per Lundberg (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=per.lundberg@ecraft.com)
* [Peter Smulovics (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=peter.smulovics@gmail.com)
* [Rew (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=Rew017@hotmail.com)
* [Robert (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=matekm@gmail.com)
* [Robert Matusewicz (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=matekm@gmail.com)
* [Roger (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=narayanroger@gmail.com)
* [Roman Shchekin (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=mrqtros@gmail.com)
* [Russ Keldorph (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=russ.keldorph@microsoft.com)
* [Russell C Hadley (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=rhadley@microsoft.com)
* [Russell C. Hadley (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=rhadley@microsoft.com)
* [Simon Nattress (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=nattress@gmail.com)
* [Sivarv (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=sivarv@microsoft.com)
* [Steve Desmond (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=stevedesmond-ca@users.noreply.github.com)
* [Steve MacLean, Qualcomm Datacenter Technologies Inc (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=sdmaclea@qti.qualcomm.com)
* [Thiago Camargos Lopes (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=thica@microsoft.com)
* [Tom Deseyn (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=tom.deseyn@gmail.com)
* [Toni Solarin-Sodara (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=toni.edward@outlook.com)
* [Varun Venkatesan (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=varun.k.venkatesan@intel.com)
* [Vijay Ramakrishnan (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=vijayrkn@users.noreply.github.com)
* [Viktor Hofer (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=viktor.hofer@microsoft.com)
* [Viktor Hofer (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=viktor.hofer@outlook.com)
* [Vinicius Martins (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=vinima@microsoft.com)
* [Xiangyang (Mark) Guo (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=xiangyang.guo@intel.com)
* [Yuriy Solodkyy (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=solodon4@users.noreply.github.com)
* [Zverev Eugene (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=zverev.eugene@gmail.com)
* [cod7alex (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=cod7alex@gmail.com)
* [darxis (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=darxis@users.noreply.github.com)
* [dasMulli (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=martin.andreas.ullrich@gmail.com)
* [dnickless (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=daniel.hegener@gmx.net)
* [giuliohome (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=giuliohome@gmail.com)
* [helloguo (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=xiangyang.guo@intel.com)
* [ikopylov (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=ikopylov@users.noreply.github.com)
* [jorive (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=jorive@microsoft.com)
* [kchoi (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=code.kchoi@gmail.com)
* [pius.lee (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=pius.lee@samsung.com)
* [rahul (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=rahku@github.com)
* [smile21prc (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=xiwe@microsoft.com)
* [vkvenkat (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=Varun.K.Venkatesan@intel.com)

## CoreFX

* [Stephen Toub (535)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=stoub@microsoft.com)
* [Jon Hanna (344)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=jon@hackcraft.net)
* [Eric St. John (285)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=ericstj@microsoft.com)
* [Eric Mellino (167)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=erme@microsoft.com)
* [Jose Perez Rodriguez (116)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=joperezr@microsoft.com)
* [Wes Haggard (113)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=Wes.Haggard@microsoft.com)
* [Hugh Bellamy (102)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=hughbellars@gmail.com)
* [Bart De Smet (99)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=bartde@microsoft.com)
* [Lakshmi Priya Sekar (97)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=lasekar@microsoft.com)
* [James Ko (94)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=jamesqko@gmail.com)
* [Ian Hays (90)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=ianha@microsoft.com)
* [Santiago Fernandez Madero (88)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=safern@microsoft.com)
* [Jan Kotas (80)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=jkotas@microsoft.com)
* [Anthony Langsworth (78)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=anthony.langsworth@gmail.com)
* [chcosta (78)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=chcosta@microsoft.com)
* [Dan Moseley (73)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=danmose@microsoft.com)
* [sepidehMS (59)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=sekho@microsoft.com)
* [Liudmila Molkova (58)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=lmolkova@microsoft.com)
* [Alex Perovich (58)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=alperovi@microsoft.com)
* [Tarek Mahmoud Sayed (56)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=tarekms@microsoft.com)
* [Krzysztof Wicher (52)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=kwicher@microsoft.com)
* [Karel Zikmund (52)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=karelz@users.noreply.github.com)
* [Jeremy Kuhne (52)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=jeremy.kuhne@microsoft.com)
* [Jeremy Barton (51)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=jbarton@microsoft.com)
* [Justin Van Patten (51)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=jvp@justinvp.com)
* [Shin Mao (47)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=shmao@microsoft.com)
* [danmosemsft (47)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=danmose@microsoft.com)
* [Geoff Kizer (34)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=geoffrek@microsoft.com)
* [Stephen A. Imhoff (32)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=clockwork-muse@outlook.com)
* [Viktor Hofer (31)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=viktor.hofer@microsoft.com)
* [Matt Galbraith (31)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=mattgal@microsoft.com)
* [Karthik Rajasekaran (30)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=karajas@microsoft.com)
* [Alex Ghiondea (28)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=ghiondea.alexandru@microsoft.com)
* [Matt Mitchell (28)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=mmitche@microsoft.com)
* [Bart J.F. De Smet (26)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=bartdesmet@hotmail.com)
* [David Shulman (26)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=david.shulman@microsoft.com)
* [Davis Goodin (26)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=dagood@microsoft.com)
* [Atsushi Kanamori (24)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=AtsushiKan@users.noreply.github.com)
* [Steve Harter (24)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=steveharter@users.noreply.github.com)
* [Christopher Costa (21)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=chcosta@microsoft.com)
* [Steve Harter (21)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=sharter@microsoft.com)
* [Frederik Carlier (21)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=frederik.carlier@quamotion.mobi)
* [Alexander Radchenko (21)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=radchenkosasha@gmail.com)
* [Sedar Gokbulut (20)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=sedarg@microsoft.com)
* [Ahson Ahmed Khan (19)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=ahsonkhan@users.noreply.github.com)
* [Rahul Kumar (19)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=rahku@microsoft.com)
* [Wes Haggard (19)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=weshaggard@users.noreply.github.com)
* [dotnet-bot (19)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=dotnet-bot@microsoft.com)
* [Saurabh Singh (17)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=saurabh500@users.noreply.github.com)
* [Tijoy Tom Kalathiparambil (17)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=tijoytk@microsoft.com)
* [Gaurav Khanna (17)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=gkhanna@microsoft.com)
* [Marek Safar (17)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=marek.safar@gmail.com)
* [Koundinya Veluri (17)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=kouvel@microsoft.com)
* [Tanner Gooding (16)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=tagoo@outlook.com)
* [Hyeongseok Oh (15)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=hseok82.oh@samsung.com)
* [qizhanMS (15)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=qizhan@microsoft.com)
* [Will Dean (15)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=github_will@indcomp.co.uk)
* [Krzysztof Wicher (14)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=mordotymoja@gmail.com)
* [Saurabh Singh (14)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=saurabh500@gmail.com)
* [Rama Krishnan Raghupathy (14)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=ramarag@microsoft.com)
* [Dennis "D.C." Dietrich (13)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=dennisdietrich@users.noreply.github.com)
* [Stanislav Ushakov (13)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=sushakov@dataart.com)
* [Immo Landwerth (13)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=immol@microsoft.com)
* [David Wright (13)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=dcwuser@live.com)
* [Huangli Wu (12)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=huanwu@microsoft.com)
* [Atsushi Kanamori (12)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=atsushik@microsoft.com)
* [tintoy (11)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=tintoy@tintoy.io)
* [Daniel Harvey (11)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=dharvey@microsoft.com)
* [Karel Zikmund (10)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=karelz@microsoft.com)
* [Hyung-Kyu Choi (10)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=hk0110.choi@samsung.com)
* [Eric Eilebrecht (10)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=ericeil@microsoft.com)
* [Tarekm Mahmoud Sayed (10)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=tarekms@microsoft.com)
* [Tomáš Matoušek (10)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=tmat@users.noreply.github.com)
* [Matt Galbraith (9)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=MattGal@users.noreply.github.com)
* [Matt Ellis (9)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=matell@microsoft.com)
* [Cristian Pop (9)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=Cristian.Pop@microsoft.com)
* [Viktor Hofer (9)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=viktor.hofer@outlook.com)
* [Pavel Maltsev (9)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=fire.alkazar@gmail.com)
* [Sepideh Khoshnood (9)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=sekho@microsoft.com)
* [Jiyoung Yun (9)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=jy910.yun@samsung.com)
* [Santiago Fernandez (9)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=safern@microsoft.com)
* [Drew Scoggins (8)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=anscoggi@microsoft.com)
* [chunseoklee (8)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=chunseok.lee@samsung.com)
* [Rich Lander (8)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=rlander@microsoft.com)
* [Cory Rivera (8)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=corivera@microsoft.com)
* [Mandar Sahasrabuddhe (8)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=WinCPP@users.noreply.github.com)
* [Hanjoung Lee (7)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=hanjoung.lee@samsung.com)
* [Rion Williams (7)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=rionmonster@gmail.com)
* [Alex Ghiondea (7)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=AlexGhiondea@users.noreply.github.com)
* [Petr Onderka (7)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=gsvick@gmail.com)
* [MichaelSimons (6)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=msimons@microsoft.com)
* [wtgodbe (6)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=wigodbe@microsoft.com)
* [Gene Lee (6)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=gelee@microsoft.com)
* [Ben Adams (6)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=thundercat@illyriad.co.uk)
* [Vance Morrison (6)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=vancem@microsoft.com)
* [Vance Morrison (6)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=vancemorrison@comcast.net)
* [Marek Linka (6)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=marek.linka@outlook.com)
* [Eric StJohn (6)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=ericstj@microsoft.com)
* [WinCPP (6)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=mandards@gmail.com)
* [Brahmnes Fung (6)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=bfung@microsoft.com)
* [Jan Vorlicek (6)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=janvorli@microsoft.com)
* [nietras (6)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=nietras@users.noreply.github.com)
* [vsadov (6)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=vsadov@microsoft.com)
* [Jonghyun Park (5)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=parjong@gmail.com)
* [Peter Marcu (5)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=Peter.Marcu@Microsoft.com)
* [Davis Goodin (5)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=dagood@users.noreply.github.com)
* [chunseok lee (5)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=chunseok.lee@samsung.com)
* [Anton Lapounov (5)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=anton.lapounov@microsoft.com)
* [John Chen (CLR) (5)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=jochen@microsoft.com)
* [Jay Simmons (4)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=boatboy22@hotmail.com)
* [the-dwyer (4)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=the.dwyer@gmail.com)
* [Adam Friedman (4)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=tintoy@users.noreply.github.com)
* [Jiayi Li (4)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=v-lijiay@microsoft.com)
* [louluqun (4)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=louluqun@hotmail.com)
* [Julien Couvreur (4)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=jcouv@users.noreply.github.com)
* [cydhaselton (4)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=chaselton@gmail.com)
* [cod7alex (4)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=cod7alex@gmail.com)
* [Carol Wang (4)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=v-carwan@microsoft.com)
* [alperovi (4)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=alperovi@microsoft.com)
* [Hyeongseok Oh (4)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=hseok82.oh@samasung.com)
* [Tom Deseyn (4)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=tom.deseyn@gmail.com)
* [Darren Hoehna (4)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=dhoehna@yahoo.com)
* [David Wrighton (4)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=davidwr@microsoft.com)
* [Nick Guerrera (4)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=nicholg@microsoft.com)
* [Egor Bogatov (4)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=egorbo@gmail.com)
* [Robert Anderson (4)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=shiftylogic@users.noreply.github.com)
* [Eric Erhardt (4)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=eric.erhardt@microsoft.com)
* [stone-li (4)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=v-stoli@microsoft.com)
* [AlexGhiondea (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=AlexGhiondea@users.noreply.github.com)
* [Ludovic Henry (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=ludovic@xamarin.com)
* [Jason Sturges (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=jason@jasonsturges.com)
* [Bruce Bowyer-Smyth (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=bbowyersmyth@live.com.au)
* [Brian O'Neill (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=pensivebrian@hotmail.com)
* [Jim Carley (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=jcarley@microsoft.com)
* [Cristian Pop (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=CIPop@users.noreply.github.com)
* [Peter Marcu (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=petermarcu@hotmail.com)
* [Jesper Larsen-Ledet (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=jesper@jogu.dk)
* [Stephen Cleary (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=github.ourteddybear@xoxy.net)
* [v-lijiay (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=v-lijiay@MC-01)
* [Evgeny Pavlov (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=e.pavlov@samsung.com)
* [David Wright (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=dawright@microsoft.com)
* [Stanislav Ushakov (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=StanislavUshakov@users.noreply.github.com)
* [Nate Amundson (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=naamunds@microsoft.com)
* [Smile Wei (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=xiwe@microsoft.com)
* [safern (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=safern@SAFERNMAIN)
* [Faizur Rahman (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=shrah@microsoft.com)
* [Paul Harrington (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=pharring@microsoft.com)
* [geoffkizer (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=geoffrek)
* [FAREAST\v-lijiay (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=v-lijiay@microsoft.com)
* [SepidehMS (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=sekho@microsoft.com)
* [Peter (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=Peter@DESKTOP-J1ME3JS)
* [EgorBo (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=egorbo@gmail.com)
* [Lakshmi Priya Sekar (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=Priya91@users.noreply.github.com)
* [Koundinya Veluri (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=kouvel@users.noreply.github.com)
* [huanwu (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=huanwu@microsoft.com)
* [cydhaselton (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=ubuntu@ip-172-31-42-205.us-west-2.compute.internal)
* [Radka (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=radkavectra@gmail.com)
* [Attila Hajdrik (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=athajdri@microsoft.com)
* [Viacheslav Ivanov (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=viacheslav.ivanov@gmail.com)
* [Ale Contenti (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=alecontenti-gh@hotmail.com)
* [mikedn (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=onemihaid@hotmail.com)
* [stephentoub (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=stoub@microsoft.com)
* [Nikita Nuka (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=nikita.nuka@citrix.com)
* [Immo Landwerth (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=immo@landwerth.net)
* [ahsonkhan (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=ahsonkhan@users.noreply.github.com)
* [Martín Coll (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=martingonzalezcoll@gmail.com)
* [ahsonkhan (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=ahson_ahmedk@yahoo.com)
* [Tanner Gooding (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=tagoo@microsoft.com)
* [Gaurav Khanna (CLR) (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=gkhanna@microsoft.com)
* [Axel Heer (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=axel@heer.eu)
* [Austin Wise (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=AustinWise@gmail.com)
* [Shiming Ge (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=v-shige@microsoft.com)
* [Caesar Chen (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=shizhe95@gmail.com)
* [Michal Strehovský (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=MichalStrehovsky@users.noreply.github.com)
* [Yi Zhang (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=yzha@microsoft.com)
* [Felipe Pessoto (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=felipepessoto@hotmail.com)
* [Hyung-Kyu Choi (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=hqueue@users.noreply.github.com)
* [Qi Zhang (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=qizhan@microsoft.com)
* [Alaa Masoud (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=alaa.masoud@live.com)
* [Alexander Köplinger (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=alex.koeplinger@outlook.com)
* [Alexandre Mutel (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=alexandre_mutel@live.com)
* [Alexis Christoforides (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=alexis@thenull.net)
* [Alexis Nowikowski (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=darxis@users.noreply.github.com)
* [Andrew Au (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=cshung@gmail.com)
* [Andrey Kurdyumov (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=kant2002@gmail.com)
* [Andy Ayers (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=andya@microsoft.com)
* [Benjamin Bartels (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=bartels.benjamin@tutanota.de)
* [Bin Du (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=bindu@microsoft.com)
* [Brandon Everett (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=bme2010@gmail.com)
* [Brian Robbins (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=brianrob@microsoft.com)
* [Caesar Chen (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=schen381@users.noreply.github.com)
* [Caio Cesar Saldanha Maia Orejuela Kinelski (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=t-cakine@microsoft.com)
* [Cesar Blum Silveira (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=cesarbs@gmail.com)
* [Cesar Blum Silveira (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=cesars@microsoft.com)
* [Chris R (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=crummel@microsoft.com)
* [Chris S (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=mrshrinkray@gmail.com)
* [Craig Johnson (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=craigjohnson@outlook.com)
* [Derek Gray (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=dgray90@live.com)
* [Eugene Rozenfeld (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=erozen@microsoft.com)
* [Fitzchak Yitzchaki (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=fitzchak@ayende.com)
* [Fredrik Høisæther Rasch (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=fredrik.rasch@gmail.com)
* [Geoffrey Kizer (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=geoffrek)
* [Greg Ingram (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=shaggygi97@gmail.com)
* [Gregory Bell (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=gregoryscottbell@gmail.com)
* [Ivan Kishchenko (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=kishchenko@viva64.com)
* [Jay Simmons (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=jsimmons@microsoft.com)
* [JayG (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=jguady@users.noreply.github.com)
* [Jiang Zeng (Pactera Technologies Inc) (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=v-jiazen@microsoft.com)
* [JimboWei (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=v-wjiang@microsoft.com)
* [John Chen (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=jochen@microsoft.com)
* [Jonathan Mezach (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=jonathanmezach@gmail.com)
* [Jorge J. de la Fuente (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=dev.jdelafuente@gmail.com)
* [Joseph Musser (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=me@jnm2.com)
* [Josh Free (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=joshfree@users.noreply.github.com)
* [Kevin Jones (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=kevin@vcsjones.com)
* [Kirill Osenkov (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=KirillOsenkov@users.noreply.github.com)
* [Liangyaozhi (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=peter_liang@outlook.com)
* [Llewellyn Pritchard (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=xacc.ide@gmail.com)
* [Mariana Rios Flores (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=mariari@microsoft.com)
* [Marius Ungureanu (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=teromario@yahoo.com)
* [MarkusSintonen (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=markus.sintonen@gmail.com)
* [Martin Lapierre (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=martin_lapierre@devinstinct.com)
* [Martin Scholz (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=martin.scholz83@outlook.com)
* [Martin Woodward (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=martin@dotnetfoundation.org)
* [Matt Connew (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=mconnew@microsoft.com)
* [Matthew Parkinson (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=mjp41@users.noreply.github.com)
* [Michal Strehovský (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=michals@microsoft.com)
* [Mike McLaughlin (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=mikem@microsoft.com)
* [Morgan Brown (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=morganb@microsoft.com)
* [Morgan Brown (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=morganbr@users.noreply.github.com)
* [Nate Barbettini (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=nathanaelb@gmail.com)
* [Odyth (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=jstofle@gmail.com)
* [Olof Olsson (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=borsna@users.noreply.github.com)
* [Omair Majid (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=omair.majid@gmail.com)
* [Omair Majid (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=omajid@redhat.com)
* [Paul Harrington (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=pharring@users.noreply.github.com)
* [Paul Westcott (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=p.westcott@gmail.com)
* [Peter Kukol (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=pkukol@users.noreply.github.com)
* [Peter Wurzinger (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=wurzingerp@gmail.com)
* [Adam Friedman (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=tintoy@tintoy.io)
* [Robert Matusewicz (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=matekm@gmail.com)
* [Robert Sęk (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=robosek@tlen.pl)
* [SaeHie Park (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=saehie.park@samsung.com)
* [Sean Gillespie (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=sean.william.g@gmail.com)
* [Sean Gillespie (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=sean@swgillespie.me)
* [Sergio Parra Guerra (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=sergio_parra_guerra@hotmail.com)
* [Shimmy (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=weitzhandler@users.noreply.github.com)
* [Stefan Nikolei (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=stefan@nikolei.eu)
* [Steve Desmond (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=steve@vtsv.ca)
* [Steve Desmond (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=stevedesmond-ca@users.noreply.github.com)
* [Sung-Jae Lee (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=sjlee@mail.com)
* [SunnyWar (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=itsallthesametome@hotmail.com)
* [TEPW (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=TEPW@L008202B)
* [Tanner Gooding (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=tannergooding@users.noreply.github.com)
* [Tarun Pothulapati (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=tarunpothulapati@outlook.com)
* [TautvydasZilys (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=suniusx@gmail.cOM)
* [Tomas Matousek (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=tomas.matousek@microsoft.com)
* [Travis Querec (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=tquerec@gmail.com)
* [Travis Querec (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=tquerec@microsoft.com)
* [Tyler Brinkley (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=Tydude4Christ@hotmail.com)
* [Vladimir Sadov (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=vsadov@microsoft.com)
* [Will Dean (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=will.dean@indcomp.co.uk)
* [Yaakov (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=yaakov-h@users.noreply.github.com)
* [Yaakov (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=yaakov@codingrange.com)
* [Yi Zhang (CLR) (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=yizhang82@users.noreply.github.com)
* [andrewlock (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=sock@andrewlock.net)
* [costahome (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=costa_christopher@hotmail.com)
* [dnickless (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=daniel.hegener@gmx.net)
* [dstuckims (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=dstucki@microsoft.com)
* [nightshinez (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=nightshinez@users.noreply.github.com)
* [obligaron (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=obligaron@live.com)
* [ofirmakmal (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=ofir.makmal@gmail.com)
* [smile21prc (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=xiwe@microsoft.com)
* [sxmichael (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=michael@senexx.com)
* [tdupont750 (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=tdupont750@gmail.com)
* [v-yanbgu (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=v-yanbgu@microsoft.com)
* [varocarbas (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=contact@customsolvers.com)
* [vitek-karas (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=vitek.karas@microsoft.com)

## WCF

* [Stephen Bonikowsky (59)](https://github.com/dotnet/wcf/commits/release/2.0.0?author=stebon@microsoft.com)
* [Ron Cain (18)](https://github.com/dotnet/wcf/commits/release/2.0.0?author=roncain@microsoft.com)
* [Matt Galbraith (9)](https://github.com/dotnet/wcf/commits/release/2.0.0?author=mattgal@microsoft.com)
* [Eric St. John (9)](https://github.com/dotnet/wcf/commits/release/2.0.0?author=ericstj@microsoft.com)
* [Konst Khurin (8)](https://github.com/dotnet/wcf/commits/release/2.0.0?author=kkhurin@microsoft.com)
* [hongdai (7)](https://github.com/dotnet/wcf/commits/release/2.0.0?author=hongdai@microsoft.com)
* [huanwu (6)](https://github.com/dotnet/wcf/commits/release/2.0.0?author=huanwu@microsoft.com)
* [KKhurin (5)](https://github.com/dotnet/wcf/commits/release/2.0.0?author=kkhurin@microsoft.com)
* [Zhenlan Wang (4)](https://github.com/dotnet/wcf/commits/release/2.0.0?author=zhenlwa@microsoft.com)
* [Shin Mao (3)](https://github.com/dotnet/wcf/commits/release/2.0.0?author=shmao@microsoft.com)
* [Matt Mitchell (2)](https://github.com/dotnet/wcf/commits/release/2.0.0?author=mmitche@microsoft.com)
* [Morgan Brown (1)](https://github.com/dotnet/wcf/commits/release/2.0.0?author=morganb@microsoft.com)
* [Chris R (1)](https://github.com/dotnet/wcf/commits/release/2.0.0?author=crummel@microsoft.com)
* [Karel Zikmund (1)](https://github.com/dotnet/wcf/commits/release/2.0.0?author=karelz@users.noreply.github.com)
* [Matt Connew (1)](https://github.com/dotnet/wcf/commits/release/2.0.0?author=mconnew@microsoft.com)
* [Carol Wang (Inspur Worldwide Services Ltd) (1)](https://github.com/dotnet/wcf/commits/release/2.0.0?author=v-carwan@microsoft.com)
* [Olof Olsson (1)](https://github.com/dotnet/wcf/commits/release/2.0.0?author=borsna@users.noreply.github.com)
* [Rich Lander (1)](https://github.com/dotnet/wcf/commits/release/2.0.0?author=rlander@microsoft.com)
* [Wes Haggard (1)](https://github.com/dotnet/wcf/commits/release/2.0.0?author=Wes.Haggard@microsoft.com)
