# Contributions to .NET Core 2.0

The list below is generated with the following command listed below in an attempt to capture all contributions which have gone into .NET Core 2.0.

```bash
git shortlog -sne --no-merges --since release/2.0.0@{2016-10-03} --until release/2.0.0@{2017-07-25}
```

When you navigate to a contributors commit page, the results are not filtered by release so more commits than are listed below will be shown.

* [CLI](#cli)
* [CoreCLR](#coreclr)
* [CoreFX](#corefx)
* [WCF](#wcf)

## CLI

* [Livar Cunha (311)](https://github.com/dotnet/cli/commits/release/2.0.0?author=livar@live.com)
* [Piotr Puszkiewicz (219)](https://github.com/dotnet/cli/commits/release/2.0.0?author=piotrp@microsoft.com)
* [Eric Erhardt (159)](https://github.com/dotnet/cli/commits/release/2.0.0?author=eric.erhardt@microsoft.com)
* [Justin Goshi (145)](https://github.com/dotnet/cli/commits/release/2.0.0?author=jgoshi@microsoft.com)
* [Krzysztof Wicher (103)](https://github.com/dotnet/cli/commits/release/2.0.0?author=mordotymoja@gmail.com)
* [Mike Lorbetske (100)](https://github.com/dotnet/cli/commits/release/2.0.0?author=mike.lorbetske@n3-p.com)
* [jonsequitur (77)](https://github.com/dotnet/cli/commits/release/2.0.0?author=jonsequeira@gmail.com)
* [John Beisner (76)](https://github.com/dotnet/cli/commits/release/2.0.0?author=jbeisner@microsoft.com)
* [Nick Guerrera (71)](https://github.com/dotnet/cli/commits/release/2.0.0?author=nicholg@microsoft.com)
* [William Li (67)](https://github.com/dotnet/cli/commits/release/2.0.0?author=wul@microsoft.com)
* [Livar (58)](https://github.com/dotnet/cli/commits/release/2.0.0?author=licavalc@microsoft.com)
* [Jon Sequeira (52)](https://github.com/dotnet/cli/commits/release/2.0.0?author=jonsequeira@gmail.com)
* [Livar Cunha (38)](https://github.com/dotnet/cli/commits/release/2.0.0?author=licavalc@microsoft.com)
* [Daniel Plaisted (34)](https://github.com/dotnet/cli/commits/release/2.0.0?author=daplaist@microsoft.com)
* [Faizan Ahmad (30)](https://github.com/dotnet/cli/commits/release/2.0.0?author=faahmad@microsoft.com)
* [Zlatko Knezevic (29)](https://github.com/dotnet/cli/commits/release/2.0.0?author=zlakne@microsoft.com)
* [Bryan Thornbury (26)](https://github.com/dotnet/cli/commits/release/2.0.0?author=brthor@microsoft.com)
* [Scott Carlton (19)](https://github.com/dotnet/cli/commits/release/2.0.0?author=v-sccarl@microsoft.com)
* [mlorbetske (17)](https://github.com/dotnet/cli/commits/release/2.0.0?author=mike.lorbetske@n3-p.com)
* [Matt Ellis (16)](https://github.com/dotnet/cli/commits/release/2.0.0?author=matell@microsoft.com)
* [Rainer Sigwald (16)](https://github.com/dotnet/cli/commits/release/2.0.0?author=raines@microsoft.com)
* [Satya Madala (14)](https://github.com/dotnet/cli/commits/release/2.0.0?author=samadala@microsoft.com)
* [Kevin Ransom (13)](https://github.com/dotnet/cli/commits/release/2.0.0?author=kevinr@microsoft.com)
* [Vijay Ramakrishnan (12)](https://github.com/dotnet/cli/commits/release/2.0.0?author=vramak@microsoft.com)
* [Rama Krishnan Raghupathy (12)](https://github.com/dotnet/cli/commits/release/2.0.0?author=ramarag@microsoft.com)
* [Justin Emgarten (11)](https://github.com/dotnet/cli/commits/release/2.0.0?author=justin@emgarten.com)
* [Steve Sanderson (11)](https://github.com/dotnet/cli/commits/release/2.0.0?author=SteveSandersonMS@users.noreply.github.com)
* [Ankit Mishra (11)](https://github.com/dotnet/cli/commits/release/2.0.0?author=anmishr@microsoft.com)
* [Harsh Jain (10)](https://github.com/dotnet/cli/commits/release/2.0.0?author=harjain@microsoft.com)
* [Nate Amundson (9)](https://github.com/dotnet/cli/commits/release/2.0.0?author=naamunds@microsoft.com)
* [Rohit Agrawal (9)](https://github.com/dotnet/cli/commits/release/2.0.0?author=ragrawal@microsoft.com)
* [Chris Rummel (9)](https://github.com/dotnet/cli/commits/release/2.0.0?author=crummel@microsoft.com)
* [Enrico Sada (8)](https://github.com/dotnet/cli/commits/release/2.0.0?author=enrico@sada.io)
* [Jeff Kluge (8)](https://github.com/dotnet/cli/commits/release/2.0.0?author=jeffkl@microsoft.com)
* [seancpeters (8)](https://github.com/dotnet/cli/commits/release/2.0.0?author=sepeters@microsoft.com)
* [Omair Majid (8)](https://github.com/dotnet/cli/commits/release/2.0.0?author=omajid@redhat.com)
* [Ashley Hauck (8)](https://github.com/dotnet/cli/commits/release/2.0.0?author=ashauck@microsoft.com)
* [Zbyněk Sailer (7)](https://github.com/dotnet/cli/commits/release/2.0.0?author=v-zbsail@microsoft.com)
* [Shayne Boyer (6)](https://github.com/dotnet/cli/commits/release/2.0.0?author=spboyer@live.com)
* [dasMulli (6)](https://github.com/dotnet/cli/commits/release/2.0.0?author=martin.andreas.ullrich@gmail.com)
* [Arun Mahapatra (6)](https://github.com/dotnet/cli/commits/release/2.0.0?author=codito@users.noreply.github.com)
* [Parallels (6)](https://github.com/dotnet/cli/commits/release/2.0.0?author=livar@live.com)
* [Mikkel Nylander Bundgaard (6)](https://github.com/dotnet/cli/commits/release/2.0.0?author=mikkelbu@gmail.com)
* [Mike Lorbetske (5)](https://github.com/dotnet/cli/commits/release/2.0.0?author=mlorbe@microsoft.com)
* [Maira Wenzel (5)](https://github.com/dotnet/cli/commits/release/2.0.0?author=mairaw@microsoft.com)
* [Jonathan Channon (4)](https://github.com/dotnet/cli/commits/release/2.0.0?author=jonathan.channon@gmail.com)
* [Arun Mahapatra (4)](https://github.com/dotnet/cli/commits/release/2.0.0?author=armahapa@microsoft.com)
* [Sridhar Periyasamy (4)](https://github.com/dotnet/cli/commits/release/2.0.0?author=sridhper@microsoft.com)
* [Rohit Agrawal (NUGET) (4)](https://github.com/dotnet/cli/commits/release/2.0.0?author=ragrawal@microsoft.com)
* [blackdwarf (4)](https://github.com/dotnet/cli/commits/release/2.0.0?author=zlakne@microsoft.com)
* [Christopher Costa (4)](https://github.com/dotnet/cli/commits/release/2.0.0?author=chcosta@microsoft.com)
* [Ashish Jain (NUGET) (4)](https://github.com/dotnet/cli/commits/release/2.0.0?author=asja@microsoft.com)
* [Faizan2304 (4)](https://github.com/dotnet/cli/commits/release/2.0.0?author=faizan2304@hotmail.com)
* [Davis Goodin (4)](https://github.com/dotnet/cli/commits/release/2.0.0?author=dagood@microsoft.com)
* [mendhak (3)](https://github.com/dotnet/cli/commits/release/2.0.0?author=gpslogger@mendhak.com)
* [PiotrP (3)](https://github.com/dotnet/cli/commits/release/2.0.0?author=piotrp@microsoft.com)
* [v-masche (3)](https://github.com/dotnet/cli/commits/release/2.0.0?author=v-masche@DDVMASCHE492)
* [vsccarl (2)](https://github.com/dotnet/cli/commits/release/2.0.0?author=v-sccarl@microsoft.com)
* [Alex Barney (2)](https://github.com/dotnet/cli/commits/release/2.0.0?author=thealexbarney@gmail.com)
* [Daniel Lo Nigro (2)](https://github.com/dotnet/cli/commits/release/2.0.0?author=daniel@dan.cx)
* [Fredric Silberberg (2)](https://github.com/dotnet/cli/commits/release/2.0.0?author=frsilb@microsoft.com)
* [Jiyoung Yun (2)](https://github.com/dotnet/cli/commits/release/2.0.0?author=jy910.yun@samsung.com)
* [Karthik Rajasekaran (2)](https://github.com/dotnet/cli/commits/release/2.0.0?author=karajas@microsoft.com)
* [Ken Dale (2)](https://github.com/dotnet/cli/commits/release/2.0.0?author=ken@kendaleiv.com)
* [N. Taylor Mullen (2)](https://github.com/dotnet/cli/commits/release/2.0.0?author=nimullen@microsoft.com)
* [Nat Ayewah (2)](https://github.com/dotnet/cli/commits/release/2.0.0?author=nayewah@microsoft.com)
* [Nate McMaster (2)](https://github.com/dotnet/cli/commits/release/2.0.0?author=nate.mcmaster@microsoft.com)
* [Nikolche Kolev (2)](https://github.com/dotnet/cli/commits/release/2.0.0?author=nikolev@microsoft.com)
* [Petr Onderka (2)](https://github.com/dotnet/cli/commits/release/2.0.0?author=gsvick@gmail.com)
* [Phil Henning (2)](https://github.com/dotnet/cli/commits/release/2.0.0?author=phenning@microsoft.com)
* [Richard Lander (2)](https://github.com/dotnet/cli/commits/release/2.0.0?author=rlander@microsoft.com)
* [Rob Relyea (2)](https://github.com/dotnet/cli/commits/release/2.0.0?author=rrelyea@microsoft.com)
* [Scott Hanselman (2)](https://github.com/dotnet/cli/commits/release/2.0.0?author=scott@hanselman.com)
* [Shannon (2)](https://github.com/dotnet/cli/commits/release/2.0.0?author=sdeminick@gmail.com)
* [William Lee (2)](https://github.com/dotnet/cli/commits/release/2.0.0?author=xingmu33@gmail.com)
* [Zhi Li (2)](https://github.com/dotnet/cli/commits/release/2.0.0?author=zhili128@outlook.com)
* [faahmad (2)](https://github.com/dotnet/cli/commits/release/2.0.0?author=faahmad@FAAHMAD-DEV32)
* [Abhitej Anoop John Bandi (2)](https://github.com/dotnet/cli/commits/release/2.0.0?author=aajohn@microsoft.com)
* [Rikard Johansson (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=rajoo@mail.com)
* [Roger (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=narayanroger@gmail.com)
* [MichaelSimons (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=msimons@microsoft.com)
* [Matt Mitchell (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=mmitche@microsoft.com)
* [Ryan Stelly (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=ryan.stelly@live.com)
* [SaeHie Park (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=saehie.park@samsung.com)
* [Matt Galbraith (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=MattGal@users.noreply.github.com)
* [Scott Addie (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=tobias.addie@gmail.com)
* [Martin Andreas Ullrich (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=martin.andreas.ullrich@gmail.com)
* [Axel Heer (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=axel@heer.eu)
* [Alexander Köplinger (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=alex.koeplinger@outlook.com)
* [Mardoxx (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=mardoxx@gmail.com)
* [Kevin Ransom (msft) (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=codecutter.fsharp@hotmail.com)
* [Steve Desmond (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=steve@vtsv.ca)
* [Jürgen Pfeifer (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=juergen@familiepfeifer.de)
* [Jérémie Galarneau (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=jeremie.galarneau@gmail.com)
* [James Lanng (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=james@jltc.co.uk)
* [Wes Haggard (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=Wes.Haggard@microsoft.com)
* [William Lee (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=wul@microsoft.com)
* [Alex Barney (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=Thealexbarney@users.noreply.github.com)
* [William Li (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=williamli@williams-mbp.guest.corp.microsoft.com)
* [Hyung-Kyu Choi (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=hk0110.choi@samsung.com)
* [Falco (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=rs38@users.noreply.github.com)
* [Zhi Li (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=lzhi@microsoft.com)
* [Adeel (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=adeelbm@outlook.com)
* [Eric Mellino (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=erme@microsoft.com)
* [Dustin Campbell (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=dustin@teamcampbell.org)
* [Daniel Plaisted (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=dsplaisted@gmail.com)
* [Chris R (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=crummel@microsoft.com)
* [eerhardt (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=eric.erhardt@microsoft.com)
* [v-mdriml (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=v-mdriml@microsoft.com)
* [faahmad (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=faahmad@FAAHMAD-RTW3)
* [Pranav K (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=prkrishn@hotmail.com)
* [Rakesh Ranjan Singh (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=raksingh@microsoft.com)
* [Nikolaj Jørgensen (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=nikolaj@loftjoer.dk)
* [Ravi Eda (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=raeda@microsoft.com)
* [Ravi Mandal (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=ravimandal47@hotmail.com)
* [Rich Lander (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=rlander@microsoft.com)
* [foresterre (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=foresterre@ilumeo.com)
* [Bill Wert (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=billwert@microsoft.com)

## CoreCLR

* [Jonghyun Park (242)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=parjong@gmail.com)
* [Jan Kotas (182)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=jkotas@microsoft.com)
* [Pat Gavlin (143)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=pagavlin@microsoft.com)
* [danmosemsft (139)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=danmose@microsoft.com)
* [Bruce Forstall (101)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=brucefo@microsoft.com)
* [Andy Ayers (77)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=andya@microsoft.com)
* [wtgodbe (77)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=wigodbe@microsoft.com)
* [Stephen Toub (76)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=stoub@microsoft.com)
* [Joseph Tremoulet (58)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=jotrem@microsoft.com)
* [Mike Danes (57)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=onemihaid@hotmail.com)
* [Steve MacLean, Qualcomm Datacenter Technologies, Inc (53)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=sdmaclea@qti.qualcomm.com)
* [Jan Vorlicek (50)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=janvorli@microsoft.com)
* [Sergey Andreenko (49)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=seandree@microsoft.com)
* [SaeHie Park (42)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=saehie.park@gmail.com)
* [Michelle McDaniel (41)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=adiaaida@gmail.com)
* [Hyeongseok Oh (41)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=hseok82.oh@samsung.com)
* [Gaurav Khanna (40)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=gkhanna@microsoft.com)
* [Aditya Mandaleeka (40)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=adityam@microsoft.com)
* [Koundinya Veluri (40)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=kouvel@microsoft.com)
* [Sean Gillespie (36)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=sean@swgillespie.me)
* [Carol Eidt (35)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=carol.eidt@microsoft.com)
* [Rahul Kumar (34)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=rahku@microsoft.com)
* [Tarek Mahmoud Sayed (33)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=tarekms@microsoft.com)
* [Justin Van Patten (32)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=jvp@justinvp.com)
* [Atsushi Kanamori (31)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=AtsushiKan@users.noreply.github.com)
* [Steve MacLean (30)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=sdmaclea@qti.qualcomm.com)
* [Mikhail Skvortcov (30)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=m.skvortcov@partner.samsung.com)
* [Mike McLaughlin (28)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=mikem@microsoft.com)
* [James Ko (28)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=jamesqko@gmail.com)
* [Hyung-Kyu Choi (28)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=hk0110.choi@samsung.com)
* [Christopher Costa (27)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=chcosta@microsoft.com)
* [jashook (27)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=jashoo@microsoft.com)
* [sivarv (26)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=sivarv@microsoft.com)
* [Drew Scoggins (26)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=anscoggi@microsoft.com)
* [Alex Perovich (25)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=alperovi@microsoft.com)
* [Ben Adams (25)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=thundercat@illyriad.co.uk)
* [Brian Robbins (24)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=brianrob@microsoft.com)
* [Dan Moseley (24)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=danmose@microsoft.com)
* [Jeremy Kuhne (22)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=jeremy.kuhne@microsoft.com)
* [Frederik Carlier (20)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=frederik.carlier@quamotion.mobi)
* [Brian Sullivan (20)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=briansul@microsoft.com)
* [Russ Keldorph (17)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=Russ.Keldorph@microsoft.com)
* [Evgeny Pavlov (17)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=lucenticus@gmail.com)
* [Michal Strehovský (17)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=MichalStrehovsky@users.noreply.github.com)
* [Pat Gavlin (15)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=pgavlin@gmail.com)
* [William Godbe (15)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=wigodbe@microsoft.com)
* [Swaroop Sridhar (15)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=swaroops@microsoft.com)
* [John Chen (15)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=jochen@microsoft.com)
* [Tanner Gooding (14)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=tagoo@outlook.com)
* [mikedn (14)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=onemihaid@hotmail.com)
* [Rama Krishnan Raghupathy (13)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=ramarag@microsoft.com)
* [Hanjoung Lee (12)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=waterets@gmail.com)
* [Ahson Ahmed Khan (12)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=ahsonkhan@users.noreply.github.com)
* [Hyung-Kyu Choi (12)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=hqueue@users.noreply.github.com)
* [ahsonkhan (12)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=ahson_ahmedk@yahoo.com)
* [Stephen A. Imhoff (11)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=clockwork-muse@outlook.com)
* [Dmitry-Me (11)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=Dmitry-Me@users.noreply.github.com)
* [Ian Hays (11)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=ianha@microsoft.com)
* [Davis Goodin (11)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=dagood@users.noreply.github.com)
* [Jim Ma (10)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=mazong1123@gmail.com)
* [Li Tian (10)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=litian2025@gmail.com)
* [Igor Kulaychuk (10)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=igor.kulaychuk@gmail.com)
* [Sujin Kim (9)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=sjsujin.kim@samsung.com)
* [Alexander Radchenko (9)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=radchenkosasha@gmail.com)
* [Alex Ghiondea (9)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=ghiondea.alexandru@microsoft.com)
* [ragmani (8)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=ragmani0216@gmail.com)
* [Eric Mellino (8)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=erme@microsoft.com)
* [Vance Morrison (8)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=vancem@microsoft.com)
* [Faizur Rahman (8)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=shrah@microsoft.com)
* [Matt Mitchell (8)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=mmitche@microsoft.com)
* [Alexander Soldatov (7)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=soldatov.a@samsung.com)
* [Jon Hanna (7)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=jon@hackcraft.net)
* [Hyeongseok Oh (7)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=hseok82.oh@samasung.com)
* [Matt Ellis (7)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=matell@microsoft.com)
* [Yi Zhang (CLR) (7)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=yizhang82@users.noreply.github.com)
* [Daniel Podder (7)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=dapodd@microsoft.com)
* [Rich Lander (6)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=rlander@microsoft.com)
* [Eric Erhardt (6)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=eric.erhardt@microsoft.com)
* [José Rivero (6)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=jorive@microsoft.com)
* [Mukul Sabharwal (6)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=mjsabby@gmail.com)
* [SaeHie Park (6)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=saehie.park@samsung.com)
* [Viktor Hofer (6)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=viktor.hofer@microsoft.com)
* [Wes Haggard (6)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=Wes.Haggard@microsoft.com)
* [Sven Boemer (5)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=sbomer@gmail.com)
* [John Chen (CLR) (5)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=jochen@microsoft.com)
* [Karel Zikmund (5)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=karelz@users.noreply.github.com)
* [Matt Warren (5)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=matt.warren@live.co.uk)
* [Peter Marcu (5)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=Peter.Marcu@Microsoft.com)
* [Swaroop Sridhar (5)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=Swaroop.Sridhar@microsoft.com)
* [Roman Artemev (5)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=rartemev@microsoft.com)
* [Aditya Mandaleeka (5)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=adityamandaleeka@users.noreply.github.com)
* [Cyd Haselton (4)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=chaselton@gmail.com)
* [noahfalk (4)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=noahfalk@microsoft.com)
* [Adam Sitnik (4)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=adam.sitnik@gmail.com)
* [Alex Ghiondea (4)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=AlexGhiondea@users.noreply.github.com)
* [Buyduck (4)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=ivan.vagin@partner.samsung.com)
* [Tanner Gooding (4)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=tannergooding@users.noreply.github.com)
* [LaSombra (4)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=lasombra@users.noreply.github.com)
* [mskvortsov (4)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=mikhael.skvortsov@gmail.com)
* [Jiyoung Giuliana Yun (4)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=t2wish@gmail.com)
* [chunseoklee (4)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=chunseoklee@naver.com)
* [Mandar Sahasrabuddhe (4)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=WinCPP@users.noreply.github.com)
* [Maoni Stephens (4)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=Maoni0@users.noreply.github.com)
* [Atsushi Kanamori (4)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=atsushik@microsoft.com)
* [Yongseop Kim (4)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=yons.kim@samsung.com)
* [Eugene Rozenfeld (4)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=erozen@microsoft.com)
* [Felipe Fujiy Pessoto (3)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=felipepessoto@hotmail.com)
* [Ilya (3)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=DieselMachine84@users.noreply.github.com)
* [Hugh Bellamy (3)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=hughbellars@gmail.com)
* [Evgeny Pavlov (3)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=e.pavlov@samsung.com)
* [Eric St. John (3)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=ericstj@microsoft.com)
* [Omar Tawfik (3)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=OmarTawfik@users.noreply.github.com)
* [Julien Couvreur (3)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=jcouv@users.noreply.github.com)
* [Austin Wise (3)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=AustinWise@gmail.com)
* [Vance Morrison (3)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=vancemorrison@comcast.net)
* [Sedar Gokbulut (3)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=sedarg@microsoft.com)
* [Sean Gillespie (3)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=sean.william.g@gmail.com)
* [Sasha Semennikov (3)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=alsemenn@microsoft.com)
* [Santiago Fernandez Madero (3)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=safern@microsoft.com)
* [Ravi Eda (3)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=raeda@microsoft.com)
* [Petr Onderka (3)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=gsvick@gmail.com)
* [Peter Kukol (3)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=pkukol@users.noreply.github.com)
* [John Bottenberg (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=jobotten@microsoft.com)
* [Hanjoung Lee (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=hanjoung.lee@samsung.com)
* [Luis G (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=lggomez@users.noreply.github.com)
* [Maoni0 (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=maonis@microsoft.com)
* [Michael Letterle (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=mletterle@preemptive.com)
* [Fei Peng (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=fei.peng@intel.com)
* [Fadi Hanna (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=fadim@microsoft.com)
* [Mukul Sabharwal (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=muks@microsoft.com)
* [Omair Majid (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=omajid@redhat.com)
* [Paul Westcott (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=p.westcott@gmail.com)
* [Phil Christensen (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=philc@microsoft.com)
* [Drew Scoggins (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=Drew%20Scoggins)
* [Dmitry-Me (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=wipedout@yandex.ru)
* [Rama krishnan Raghupathy (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=ramarag@microsoft.com)
* [303248153 (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=303248153@qq.com)
* [Rion Williams (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=rionmonster@gmail.com)
* [Dmitry (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=DmitryDzuba@users.noreply.github.com)
* [varocarbas (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=contact@customsolvers.com)
* [Davis Goodin (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=dagood@microsoft.com)
* [Daniel Podder (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=dpodder@gmail.com)
* [Smile Wei (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=xiwe@microsoft.com)
* [Chris Rummel (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=crummel@microsoft.com)
* [Tanner Gooding (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=tagoo@microsoft.com)
* [Tom Deseyn (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=tom.deseyn@gmail.com)
* [Bruce Bowyer-Smyth (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=bbowyersmyth@live.com.au)
* [WinCPP (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=mandards@gmail.com)
* [Xiangyang (Mark) Guo (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=xiangyang.guo@intel.com)
* [ahsonkhan (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=ahsonkhan@users.noreply.github.com)
* [chcosta (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=chcosta@microsoft.com)
* [Andrey Akinshin (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=andrey.akinshin@gmail.com)
* [kvochko (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=a.kvochko@samsung.com)
* [Jeff Schwartz (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=jeffschw@microsoft.com)
* [Rew (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=Rew017@hotmail.com)
* [Joseph Musser (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=me@jnm2.com)
* [Robert (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=matekm@gmail.com)
* [Robert Matusewicz (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=matekm@gmail.com)
* [Roger (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=narayanroger@gmail.com)
* [Matt Galbraith (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=MattGal@users.noreply.github.com)
* [Roman Shchekin (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=mrqtros@gmail.com)
* [jorive (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=jorive@microsoft.com)
* [Russ Keldorph (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=diff.tool)
* [Russ Keldorph (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=russ.keldorph@microsoft.com)
* [Russell C Hadley (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=rhadley@microsoft.com)
* [Russell C. Hadley (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=rhadley@microsoft.com)
* [Russell Hadley (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=rhadley@microsoft.com)
* [Derek Beattie (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=derek.beattie@gmail.com)
* [kchoi (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=code.kchoi@gmail.com)
* [Greg G (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=6A@users.noreply.github.com)
* [Martijn Hoekstra (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=martijn.hoekstra@cargoxs.com)
* [Marek Linka (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=mareklinka@users.noreply.github.com)
* [Ionut Tamas (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=tamash_ionut@hotmail.com)
* [Sebastian Lauber (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=slauber@users.noreply.github.com)
* [Maarten Mensink (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=maarten.mensink@dimensi.nl)
* [Sepideh Khoshnood (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=sekho@microsoft.com)
* [Alan Lawrence (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=allawr@microsoft.com)
* [Simon Nattress (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=nattress@gmail.com)
* [Sivarv (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=sivarv@microsoft.com)
* [Jose Perez Rodriguez (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=joperezr@microsoft.com)
* [Daniel Cazzulino (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=daniel@cazzulino.com)
* [DDCloud (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=ramarag@microsoft.com)
* [Steve Desmond (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=stevedesmond-ca@users.noreply.github.com)
* [Llewellyn Pritchard (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=xacc.ide@gmail.com)
* [Steve MacLean, Qualcomm Datacenter Technologies Inc (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=sdmaclea@qti.qualcomm.com)
* [Christoph Neumüller (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=c.neumueller@gmail.com)
* [John Soklaski (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=jsokla@microsoft.com)
* [Gustavo Hurovich (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=t-guhuro@microsoft.com)
* [Krzysztof Wicher (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=mordotymoja@gmail.com)
* [Cesar Blum Silveira (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=cesarbs@gmail.com)
* [pius.lee (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=pius.lee@samsung.com)
* [Caio Kinelski (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=t-cakine@microsoft.com)
* [Hadi Brais (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=hadi.b@live.com)
* [Karthik Rajasekaran (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=karajas@microsoft.com)
* [Tarun Pothulapati (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=tarunpothulapati@outlook.com)
* [Thiago Camargos Lopes (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=thica@microsoft.com)
* [John Gorter (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=john.gorter@gmail.com)
* [Toni Solarin-Sodara (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=toni.edward@outlook.com)
* [rahul (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=rahku@github.com)
* [Karel Zikmund (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=karelz@microsoft.com)
* [Varun Venkatesan (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=varun.k.venkatesan@intel.com)
* [Vijay Ramakrishnan (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=vijayrkn@users.noreply.github.com)
* [vkvenkat (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=Varun.K.Venkatesan@intel.com)
* [Viktor Hofer (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=viktor.hofer@outlook.com)
* [Vinicius Martins (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=vinima@microsoft.com)
* [Vladimir Sadov (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=vsadov@microsoft.com)
* [Jürgen Hötzel (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=juergen@hoetzel.info)
* [Ben Monroe (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=bendono@users.noreply.github.com)
* [sergey ignatov (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=sergign60@mail.ru)
* [Xiang Fan (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=xiangfan@microsoft.com)
* [Adeel Mujahid (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=adeelbm@outlook.com)
* [Han Lee (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=han.lee@intel.com)
* [sjsujinkim (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=sjsujin.kim@samsung.com)
* [Yuriy Solodkyy (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=solodon4@users.noreply.github.com)
* [Zverev Eugene (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=zverev.eugene@gmail.com)
* [adiaaida (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=adiaaida@gmail.com)
* [JosÃ© Rivero (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=jorive@microsoft.com)
* [Jarret Shook (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=jashoo@microsoft.com)
* [Ilya Ivanov (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=ivanov@viva64.com)
* [Joseph Tremoulet (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=JCTremoulet@gmail.com)
* [cod7alex (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=cod7alex@gmail.com)
* [Andrey Kvochko (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=kvochko@users.noreply.github.com)
* [darxis (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=darxis@users.noreply.github.com)
* [dasMulli (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=martin.andreas.ullrich@gmail.com)
* [Morgan Brown (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=morganbr@users.noreply.github.com)
* [smile21prc (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=xiwe@microsoft.com)
* [dnickless (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=daniel.hegener@gmx.net)
* [Nicolò Carandini (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=ncarandini@users.noreply.github.com)
* [Ofer Zelig (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=oferze@users.noreply.github.com)
* [Olof Olsson (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=borsna@users.noreply.github.com)
* [Ivan Baravy (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=i.baravy@samsung.com)
* [Mikhail Filippov (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=mikhail@filippov.me)
* [Omar Tawfik (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=otawfik@microsoft.com)
* [OmariO (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=omariom@users.noreply.github.com)
* [Erti-Chris Eelmaa (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=chriseelmaa@gmail.com)
* [Mikhael Skvortsov (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=mikhael.skvortsov@gmail.com)
* [Alexandre Mutel (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=alexandre_mutel@live.com)
* [Pedro Lamas (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=pedrolamas@gmail.com)
* [Per Lundberg (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=per.lundberg@ecraft.com)
* [Michal Strehovský (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=michals@microsoft.com)
* [Matthew Parkinson (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=mjp41@users.noreply.github.com)
* [Peter Smulovics (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=peter.smulovics@gmail.com)
* [Felipe Pessoto (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=felipepessoto@hotmail.com)
* [AlexGhiondea (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=AlexGhiondea@users.noreply.github.com)
* [gbalykov (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=g.balykov@samsung.com)
* [giuliohome (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=giuliohome@gmail.com)
* [helloguo (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=xiangyang.guo@intel.com)
* [Matt Galbraith (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=mattgal@microsoft.com)
* [ikopylov (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=ikopylov@users.noreply.github.com)

## CoreFX

* [Stephen Toub (661)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=stoub@microsoft.com)
* [Jon Hanna (361)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=jon@hackcraft.net)
* [Eric St. John (315)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=ericstj@microsoft.com)
* [Eric Mellino (192)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=erme@microsoft.com)
* [Hugh Bellamy (166)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=hughbellars@gmail.com)
* [Wes Haggard (134)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=Wes.Haggard@microsoft.com)
* [Jose Perez Rodriguez (123)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=joperezr@microsoft.com)
* [Ian Hays (114)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=ianha@microsoft.com)
* [Santiago Fernandez Madero (114)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=safern@microsoft.com)
* [Lakshmi Priya Sekar (109)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=lasekar@microsoft.com)
* [Bart De Smet (99)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=bartde@microsoft.com)
* [Dan Moseley (98)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=danmose@microsoft.com)
* [James Ko (95)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=jamesqko@gmail.com)
* [Jan Kotas (84)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=jkotas@microsoft.com)
* [chcosta (78)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=chcosta@microsoft.com)
* [Anthony Langsworth (78)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=anthony.langsworth@gmail.com)
* [Jeremy Barton (76)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=jbarton@microsoft.com)
* [Viktor Hofer (75)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=viktor.hofer@microsoft.com)
* [Liudmila Molkova (71)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=lmolkova@microsoft.com)
* [Krzysztof Wicher (70)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=kwicher@microsoft.com)
* [Alex Perovich (66)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=alperovi@microsoft.com)
* [sepidehMS (64)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=sekho@microsoft.com)
* [Jeremy Kuhne (64)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=jeremy.kuhne@microsoft.com)
* [Tarek Mahmoud Sayed (63)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=tarekms@microsoft.com)
* [Shin Mao (62)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=shmao@microsoft.com)
* [danmosemsft (55)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=danmose@microsoft.com)
* [Justin Van Patten (54)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=jvp@justinvp.com)
* [Atsushi Kanamori (53)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=AtsushiKan@users.noreply.github.com)
* [Karel Zikmund (52)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=karelz@users.noreply.github.com)
* [Stephen A. Imhoff (35)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=clockwork-muse@outlook.com)
* [Geoff Kizer (34)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=geoffrek@microsoft.com)
* [David Shulman (34)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=david.shulman@microsoft.com)
* [Matt Galbraith (34)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=mattgal@microsoft.com)
* [Atsushi Kanamori (31)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=atsushik@microsoft.com)
* [Matt Mitchell (31)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=mmitche@microsoft.com)
* [Karthik Rajasekaran (30)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=karajas@microsoft.com)
* [Davis Goodin (29)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=dagood@microsoft.com)
* [Alex Ghiondea (28)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=ghiondea.alexandru@microsoft.com)
* [Cory Rivera (28)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=corivera@microsoft.com)
* [Krzysztof Wicher (26)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=mordotymoja@gmail.com)
* [Bart J.F. De Smet (26)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=bartdesmet@hotmail.com)
* [Saurabh Singh (25)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=saurabh500@users.noreply.github.com)
* [Steve Harter (25)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=steveharter@users.noreply.github.com)
* [Wes Haggard (25)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=weshaggard@users.noreply.github.com)
* [Gaurav Khanna (24)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=gkhanna@microsoft.com)
* [Tijoy Tom Kalathiparambil (23)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=tijoytk@microsoft.com)
* [Frederik Carlier (21)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=frederik.carlier@quamotion.mobi)
* [Alexander Radchenko (21)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=radchenkosasha@gmail.com)
* [Santiago Fernandez (21)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=safern@microsoft.com)
* [Steve Harter (21)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=sharter@microsoft.com)
* [Christopher Costa (21)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=chcosta@microsoft.com)
* [Huangli Wu (21)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=huanwu@microsoft.com)
* [FAREAST\v-lijiay (20)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=v-lijiay@microsoft.com)
* [Sedar Gokbulut (20)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=sedarg@microsoft.com)
* [Koundinya Veluri (19)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=kouvel@microsoft.com)
* [Ahson Ahmed Khan (19)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=ahsonkhan@users.noreply.github.com)
* [Rahul Kumar (19)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=rahku@microsoft.com)
* [Saurabh Singh (17)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=saurabh500@gmail.com)
* [Marek Safar (17)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=marek.safar@gmail.com)
* [Tanner Gooding (16)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=tagoo@outlook.com)
* [Will Dean (16)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=github_will@indcomp.co.uk)
* [Hyeongseok Oh (15)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=hseok82.oh@samsung.com)
* [qizhanMS (15)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=qizhan@microsoft.com)
* [Karel Zikmund (15)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=karelz@microsoft.com)
* [Sepideh Khoshnood (14)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=sekho@microsoft.com)
* [Jiyoung Yun (14)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=jy910.yun@samsung.com)
* [Rama Krishnan Raghupathy (14)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=ramarag@microsoft.com)
* [Jiayi Li (14)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=v-lijiay@microsoft.com)
* [Dennis "D.C." Dietrich (13)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=dennisdietrich@users.noreply.github.com)
* [Matt Ellis (13)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=matell@microsoft.com)
* [Immo Landwerth (13)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=immol@microsoft.com)
* [David Wright (13)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=dcwuser@live.com)
* [Matt Galbraith (13)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=MattGal@users.noreply.github.com)
* [Caesar Chen (13)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=shizhe95@gmail.com)
* [Cristian Pop (13)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=Cristian.Pop@microsoft.com)
* [Stanislav Ushakov (13)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=sushakov@dataart.com)
* [Hyung-Kyu Choi (12)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=hk0110.choi@samsung.com)
* [Eric StJohn (12)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=ericstj@microsoft.com)
* [Daniel Harvey (11)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=dharvey@microsoft.com)
* [Tomáš Matoušek (11)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=tmat@users.noreply.github.com)
* [tintoy (11)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=tintoy@tintoy.io)
* [Vance Morrison (10)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=vancemorrison@comcast.net)
* [Eric Eilebrecht (10)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=ericeil@microsoft.com)
* [Mandar Sahasrabuddhe (10)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=WinCPP@users.noreply.github.com)
* [Tarekm Mahmoud Sayed (10)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=tarekms@microsoft.com)
* [Morgan Brown (9)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=morganbr@users.noreply.github.com)
* [Alex Ghiondea (9)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=AlexGhiondea@users.noreply.github.com)
* [vsadov (9)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=vsadov@microsoft.com)
* [Pavel Maltsev (9)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=fire.alkazar@gmail.com)
* [Viktor Hofer (9)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=viktor.hofer@outlook.com)
* [Rich Lander (8)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=rlander@microsoft.com)
* [Jan Vorlicek (8)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=janvorli@microsoft.com)
* [Drew Scoggins (8)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=anscoggi@microsoft.com)
* [chunseoklee (8)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=chunseok.lee@samsung.com)
* [Gene Lee (7)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=gelee@microsoft.com)
* [Vance Morrison (7)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=vancem@microsoft.com)
* [Petr Onderka (7)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=gsvick@gmail.com)
* [Rion Williams (7)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=rionmonster@gmail.com)
* [Hanjoung Lee (7)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=hanjoung.lee@samsung.com)
* [nietras (6)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=nietras@users.noreply.github.com)
* [Brahmnes Fung (6)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=bfung@microsoft.com)
* [Carol Wang (6)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=v-carwan@microsoft.com)
* [Ben Adams (6)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=thundercat@illyriad.co.uk)
* [wtgodbe (6)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=wigodbe@microsoft.com)
* [Darren Hoehna (6)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=dhoehna@yahoo.com)
* [Davis Goodin (6)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=dagood@users.noreply.github.com)
* [WinCPP (6)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=mandards@gmail.com)
* [Marek Linka (6)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=marek.linka@outlook.com)
* [MichaelSimons (6)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=msimons@microsoft.com)
* [stone-li (6)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=v-stoli@microsoft.com)
* [chunseok lee (5)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=chunseok.lee@samsung.com)
* [Jonghyun Park (5)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=parjong@gmail.com)
* [Cristian Pop (5)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=CIPop@users.noreply.github.com)
* [Lakshmi Priya Sekar (5)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=Priya91@users.noreply.github.com)
* [Robert Anderson (5)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=shiftylogic@users.noreply.github.com)
* [John Chen (CLR) (5)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=jochen@microsoft.com)
* [Anton Lapounov (5)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=anton.lapounov@microsoft.com)
* [Eric Erhardt (5)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=eric.erhardt@microsoft.com)
* [Peter Marcu (5)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=Peter.Marcu@Microsoft.com)
* [Egor Bogatov (5)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=egorbo@gmail.com)
* [alperovi (4)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=alperovi@microsoft.com)
* [Adam Friedman (4)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=tintoy@users.noreply.github.com)
* [Hyeongseok Oh (4)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=hseok82.oh@samasung.com)
* [louluqun (4)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=louluqun@hotmail.com)
* [David Wrighton (4)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=davidwr@microsoft.com)
* [Nick Guerrera (4)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=nicholg@microsoft.com)
* [Tom Deseyn (4)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=tom.deseyn@gmail.com)
* [Julien Couvreur (4)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=jcouv@users.noreply.github.com)
* [Jay Simmons (4)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=boatboy22@hotmail.com)
* [cod7alex (4)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=cod7alex@gmail.com)
* [the-dwyer (4)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=the.dwyer@gmail.com)
* [cydhaselton (4)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=chaselton@gmail.com)
* [Geoff Kizer (4)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=geoffrek)
* [Stanislav Ushakov (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=StanislavUshakov@users.noreply.github.com)
* [Smile Wei (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=xiwe@microsoft.com)
* [stephenmichaelf (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=stephenmichaelf@gmail.com)
* [Brian O'Neill (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=pensivebrian@hotmail.com)
* [SepidehMS (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=sekho@microsoft.com)
* [huanwu (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=huanwu@microsoft.com)
* [Peter (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=Peter@DESKTOP-J1ME3JS)
* [Jim Carley (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=jcarley@microsoft.com)
* [Jesper Larsen-Ledet (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=jesper@jogu.dk)
* [JimboWei (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=v-wjiang@microsoft.com)
* [JayG (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=jguady@users.noreply.github.com)
* [Jonathan Mezach (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=jonathanmezach@gmail.com)
* [Jason Sturges (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=jason@jasonsturges.com)
* [Joseph Musser (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=me@jnm2.com)
* [Peter Marcu (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=petermarcu@hotmail.com)
* [safern (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=safern@SAFERNMAIN)
* [AlexGhiondea (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=AlexGhiondea@users.noreply.github.com)
* [Yanbo Gu (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=v-yanbgu@microsoft.com)
* [Frédéric Ringenbach (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=fringenbach@gmail.com)
* [Youp Hulsebos (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=youp_hulsebos_@hotmail.com)
* [Paul Harrington (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=pharring@microsoft.com)
* [Faizur Rahman (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=shrah@microsoft.com)
* [Evgeny Pavlov (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=e.pavlov@samsung.com)
* [Austin Wise (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=AustinWise@gmail.com)
* [Ludovic Henry (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=ludovic@xamarin.com)
* [Nate Amundson (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=naamunds@microsoft.com)
* [EgorBo (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=egorbo@gmail.com)
* [v-lijiay (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=v-lijiay@MC-01)
* [Stephen Cleary (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=github.ourteddybear@xoxy.net)
* [David Wright (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=dawright@microsoft.com)
* [geoffkizer (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=geoffrek)
* [Bruce Bowyer-Smyth (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=bbowyersmyth@live.com.au)
* [yaelkeemink (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=yaelkeemink@gmail.com)
* [Ale Contenti (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=alecontenti-gh@hotmail.com)
* [Attila Hajdrik (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=athajdri@microsoft.com)
* [Axel Heer (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=axel@heer.eu)
* [Brian Robbins (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=brianrob@microsoft.com)
* [Caesar Chen (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=schen381@users.noreply.github.com)
* [Felipe Pessoto (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=felipepessoto@hotmail.com)
* [Gaurav Khanna (CLR) (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=gkhanna@microsoft.com)
* [Hyung-Kyu Choi (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=hqueue@users.noreply.github.com)
* [Immo Landwerth (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=immo@landwerth.net)
* [Koundinya Veluri (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=kouvel@users.noreply.github.com)
* [Martin Baulig (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=mabaul@microsoft.com)
* [Martín Coll (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=martingonzalezcoll@gmail.com)
* [Matt Connew (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=mconnew@microsoft.com)
* [Michal Strehovský (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=MichalStrehovsky@users.noreply.github.com)
* [Mike McLaughlin (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=mikem@microsoft.com)
* [Nikita Nuka (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=nikita.nuka@citrix.com)
* [Peter Toonen (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=peter@toonen.io)
* [Radka (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=radkavectra@gmail.com)
* [Shiming Ge (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=v-shige@microsoft.com)
* [Tanner Gooding (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=tagoo@microsoft.com)
* [Tarun Pothulapati (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=tarunpothulapati@outlook.com)
* [Viacheslav Ivanov (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=viacheslav.ivanov@gmail.com)
* [Yi Zhang (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=yzha@microsoft.com)
* [ahsonkhan (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=ahson_ahmedk@yahoo.com)
* [ahsonkhan (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=ahsonkhan@users.noreply.github.com)
* [cydhaselton (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=ubuntu@ip-172-31-42-205.us-west-2.compute.internal)
* [mikedn (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=onemihaid@hotmail.com)
* [smile21prc (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=xiwe@microsoft.com)
* [stephentoub (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=stoub@microsoft.com)
* [Omair Majid (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=omair.majid@gmail.com)
* [Olaf Keijsers (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=olaf@keijsers.org)
* [Sean Gillespie (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=sean.william.g@gmail.com)
* [Sean Gillespie (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=sean@swgillespie.me)
* [Odyth (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=jstofle@gmail.com)
* [Nate Barbettini (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=nathanaelb@gmail.com)
* [Morgan Brown (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=morganb@microsoft.com)
* [Sergio Parra Guerra (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=sergio_parra_guerra@hotmail.com)
* [sxmichael (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=michael@senexx.com)
* [Shimmy (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=weitzhandler@users.noreply.github.com)
* [Mike van Dongen (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=github@mikevandongen.nl)
* [Michal Strehovský (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=michals@microsoft.com)
* [Matthew Parkinson (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=mjp41@users.noreply.github.com)
* [Martin Woodward (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=martin@dotnetfoundation.org)
* [Stefan Nikolei (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=stefan@nikolei.eu)
* [Martin Scholz (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=martin.scholz83@outlook.com)
* [Martin Lapierre (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=martin_lapierre@devinstinct.com)
* [MarkusSintonen (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=markus.sintonen@gmail.com)
* [Steve Desmond (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=steve@vtsv.ca)
* [Steve Desmond (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=stevedesmond-ca@users.noreply.github.com)
* [Steve Franceschelli (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=stephenmichaelf@gmail.com)
* [Marius Ungureanu (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=teromario@yahoo.com)
* [Mariana Rios Flores (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=mariari@microsoft.com)
* [Sung-Jae Lee (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=sjlee@mail.com)
* [SunnyWar (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=itsallthesametome@hotmail.com)
* [Sven Boemer (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=sbomer@gmail.com)
* [TEPW (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=TEPW@L008202B)
* [tdupont750 (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=tdupont750@gmail.com)
* [Llewellyn Pritchard (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=xacc.ide@gmail.com)
* [Tanner Gooding (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=tannergooding@users.noreply.github.com)
* [Liangyaozhi (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=peter_liang@outlook.com)
* [Kirill Osenkov (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=KirillOsenkov@users.noreply.github.com)
* [Alexis Nowikowski (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=darxis@users.noreply.github.com)
* [TautvydasZilys (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=suniusx@gmail.cOM)
* [Kevin Jones (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=kevin@vcsjones.com)
* [Julien Couvreur (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=jcouv@microsoft.com)
* [Tomas Matousek (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=tomas.matousek@microsoft.com)
* [Josh Free (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=joshfree@users.noreply.github.com)
* [Travis Querec (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=tquerec@gmail.com)
* [Travis Querec (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=tquerec@microsoft.com)
* [Tyler Brinkley (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=Tydude4Christ@hotmail.com)
* [Jorge J. de la Fuente (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=dev.jdelafuente@gmail.com)
* [John Chen (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=jochen@microsoft.com)
* [Alexis Christoforides (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=alexis@thenull.net)
* [Jiang Zeng (Pactera Technologies Inc (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=v-jiazen@microsoft.com)
* [Jay Simmons (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=jsimmons@microsoft.com)
* [Vladimir Sadov (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=vsadov@microsoft.com)
* [Vladyslav (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=vladyslav.kochin@gmail.com)
* [Jason Lin (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=Jason.Lin@microsoft.com)
* [Ivan Kishchenko (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=kishchenko@viva64.com)
* [Gregory Bell (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=gregoryscottbell@gmail.com)
* [Will Dean (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=will.dean@indcomp.co.uk)
* [Greg Ingram (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=shaggygi97@gmail.com)
* [Yaakov (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=yaakov-h@users.noreply.github.com)
* [Yaakov (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=yaakov@codingrange.com)
* [Geoffrey Kizer (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=geoffrek)
* [Yi Zhang (CLR) (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=yizhang82@users.noreply.github.com)
* [Alexandre Mutel (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=alexandre_mutel@live.com)
* [Fredrik Høisæther Rasch (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=fredrik.rasch@gmail.com)
* [v-yanbgu (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=v-yanbgu@microsoft.com)
* [varocarbas (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=contact@customsolvers.com)
* [Fitzchak Yitzchaki (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=fitzchak@ayende.com)
* [andrewlock (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=sock@andrewlock.net)
* [Eugene Rozenfeld (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=erozen@microsoft.com)
* [Dongbo Wang (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=dongbow@microsoft.com)
* [Derek Gray (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=dgray90@live.com)
* [Craig Johnson (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=craigjohnson@outlook.com)
* [costahome (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=costa_christopher@hotmail.com)
* [Chris S (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=mrshrinkray@gmail.com)
* [vitek-karas (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=vitek.karas@microsoft.com)
* [Chris Rummel (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=crummel@microsoft.com)
* [dnickless (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=daniel.hegener@gmx.net)
* [Chris R (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=crummel@microsoft.com)
* [Cesar Blum Silveira (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=cesars@microsoft.com)
* [Cesar Blum Silveira (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=cesarbs@gmail.com)
* [dstuckims (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=dstucki@microsoft.com)
* [ektrah (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=ektrah@users.noreply.github.com)
* [Caio Cesar Saldanha Maia Orejuela Kinelski(1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=t-cakine@microsoft.com)
* [Brandon Everett (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=bme2010@gmail.com)
* [jlanng (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=james@jltc.co.uk)
* [Bin Du (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=bindu@microsoft.com)
* [Alexander Köplinger (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=alex.koeplinger@outlook.com)
* [Bill Wert (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=billwert@microsoft.com)
* [nightshinez (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=nightshinez@users.noreply.github.com)
* [obligaron (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=obligaron@live.com)
* [ofirmakmal (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=ofir.makmal@gmail.com)
* [Benjamin Bartels (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=bartels.benjamin@tutanota.de)
* [Andy Ayers (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=andya@microsoft.com)
* [Andrey Kurdyumov (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=kant2002@gmail.com)
* [Alaa Masoud (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=alaa.masoud@live.com)
* [Andrew Au (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=cshung@gmail.com)
* [Adam Friedman (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=tintoy@tintoy.io)
* [Qi Zhang (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=qizhan@microsoft.com)
* [Anatoly Zhmur (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=azhmur@gmail.com)
* [Peter Wurzinger (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=wurzingerp@gmail.com)
* [Peter Kukol (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=pkukol@users.noreply.github.com)
* [Paul Westcott (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=p.westcott@gmail.com)
* [Paul Harrington (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=pharring@users.noreply.github.com)
* [Omar Tawfik (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=OmarTawfik@users.noreply.github.com)
* [Robert Matusewicz (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=matekm@gmail.com)
* [Robert Sęk (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=robosek@tlen.pl)
* [SaeHie Park (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=saehie.park@samsung.com)
* [Omair Majid (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=omajid@redhat.com)
* [Olof Olsson (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=borsna@users.noreply.github.com)


## WCF

* [Stephen Bonikowsky (82)](https://github.com/dotnet/wcf/commits/release/2.0.0?author=stebon@microsoft.com)
* [Ron Cain (18)](https://github.com/dotnet/wcf/commits/release/2.0.0?author=roncain@microsoft.com)
* [Matt Galbraith (9)](https://github.com/dotnet/wcf/commits/release/2.0.0?author=mattgal@microsoft.com)
* [Eric St. John (9)](https://github.com/dotnet/wcf/commits/release/2.0.0?author=ericstj@microsoft.com)
* [KKhurin (8)](https://github.com/dotnet/wcf/commits/release/2.0.0?author=kkhurin@microsoft.com)
* [hongdai (8)](https://github.com/dotnet/wcf/commits/release/2.0.0?author=hongdai@microsoft.com)
* [Konst Khurin (8)](https://github.com/dotnet/wcf/commits/release/2.0.0?author=kkhurin@microsoft.com)
* [Zhenlan Wang (7)](https://github.com/dotnet/wcf/commits/release/2.0.0?author=zhenlwa@microsoft.com)
* [huanwu (6)](https://github.com/dotnet/wcf/commits/release/2.0.0?author=huanwu@microsoft.com)
* [Shin Mao (5)](https://github.com/dotnet/wcf/commits/release/2.0.0?author=shmao@microsoft.com)
* [Matt Connew (3)](https://github.com/dotnet/wcf/commits/release/2.0.0?author=mconnew@microsoft.com)
* [Matt Mitchell (2)](https://github.com/dotnet/wcf/commits/release/2.0.0?author=mmitche@microsoft.com)
* [Tarek Mahmoud Sayed (2)](https://github.com/dotnet/wcf/commits/release/2.0.0?author=tarekms@microsoft.com)
* [Olof Olsson (1)](https://github.com/dotnet/wcf/commits/release/2.0.0?author=borsna@users.noreply.github.com)
* [Chris R (1)](https://github.com/dotnet/wcf/commits/release/2.0.0?author=crummel@microsoft.com)
* [Karel Zikmund (1)](https://github.com/dotnet/wcf/commits/release/2.0.0?author=karelz@users.noreply.github.com)
* [Morgan Brown (1)](https://github.com/dotnet/wcf/commits/release/2.0.0?author=morganb@microsoft.com)
* [Carol Wang (Inspur Worldwide Services Ltd) (1)](https://github.com/dotnet/wcf/commits/release/2.0.0?author=v-carwan@microsoft.com)
* [Rich Lander (1)](https://github.com/dotnet/wcf/commits/release/2.0.0?author=rlander@microsoft.com)
* [Wes Haggard (1)](https://github.com/dotnet/wcf/commits/release/2.0.0?author=Wes.Haggard@microsoft.com)
