# Commits to .NET Core 2.2.1 and .NET Core SDK 2.2.102

This is a curated list of commits across the .NET Core 2.2.1 development cycle.

* [CoreCLR](#coreclr)
* [CoreFX](#corefx)
* [AspNetCore](#aspnetcore)

## CoreCLR

* [`[b24eee89da]`](https://github.com/dotnet/coreclr/commit/b24eee89da) Fix CancellationTokenRegistration.Token after CTS.Dispose (#21417)
* [`[18a57b3a84]`](https://github.com/dotnet/coreclr/commit/18a57b3a84) Fix "LTTng-UST: Error (-17) while registering..." error when debugging (20874) (#21218)
* [`[470d299811]`](https://github.com/dotnet/coreclr/commit/470d299811) Port fix value numbering when selecting a constant to release/2.2
* [`[1e647b10ab]`](https://github.com/dotnet/coreclr/commit/1e647b10ab) Added support for running in a sandbox on Mac (#20735) (#20906)
* [`[a589a296f0]`](https://github.com/dotnet/coreclr/commit/a589a296f0) Port to 2.1 - Don't check for libintl.h on OSX (#20118)
* [`[e052c0341a]`](https://github.com/dotnet/coreclr/commit/e052c0341a) Formatting Japanese First Year of Era (#20729)
* [`[eb90b6c0f9]`](https://github.com/dotnet/coreclr/commit/eb90b6c0f9) Support new Japanese calendar eras (#20727)

## CoreFX

* [`[8268b1acc6]`](https://github.com/dotnet/corefx/commit/8268b1acc6) QueryDirectoryFile requires 64 bit alignment to work on ARM32. (#33713) (#33754)

## ASPNetCore

* [`[edcee859f0]`](https://github.com/aspnet/AspNetCore/commit/edcee859f0) Convert Identity to Reference (#6086)
* [`[019ba081d3]`](https://github.com/aspnet/AspNetCore/commit/019ba081d3) Fix flakiness in RequestsCanBeAbortedMidRead (#4881)
* [`[96ea326664]`](https://github.com/aspnet/AspNetCore/commit/96ea326664) Document custom reference resolution (#4806)
* [`[0646bb98b0]`](https://github.com/aspnet/AspNetCore/commit/0646bb98b0) Call Flush With fMoreData=false when response isn't allowed to have body (#4403)
* [`[f7c26f9912]`](https://github.com/aspnet/AspNetCore/commit/f7c26f9912) [2.2.1] Use non-pinnable buffer for zero byte read (#4066)