# .NET Core 2.2.3 Update - March 12, 2019

.NET Core 2.2.3 is available for [download](2.2.3-download.md) and usage in your environment. This release includes .NET Core 2.2.3, ASP.NET Core 2.2.3 and .NET Core SDK 2.2.105.

* [Blog Post][dotnet-blog]
* [Downloads](#downloads)
* [Changes in this release](#changes-in-223)
* [.NET Core Lifecycle News](#net-core-lifecycle-news)
* [Known Issues](../2.2-known-issues.md)

We've created an issue at [dotnet/core #2432](https://github.com/dotnet/core/issues/2432) for your questions and comments.

## Downloads

|           | SDK Installer<sup>1</sup>                        | SDK Binaries<sup>1</sup>                 | Runtime Installer                                        | Runtime Binaries                                 | ASP.NET Core Runtime           |
| --------- | :------------------------------------------:     | :----------------------:                 | :---------------------------:                            | :-------------------------:                      | :-----------------:            |
| Windows   | [x86][dotnet-sdk-win-x86.exe] \| [x64][dotnet-sdk-win-x64.exe] | [x86][dotnet-sdk-win-x86.zip] \| [x64][dotnet-sdk-win-x64.zip] | [x86][dotnet-runtime-win-x86.exe] \| [x64][dotnet-runtime-win-x64.exe] | [x86][dotnet-runtime-win-x86.zip] \| [x64][dotnet-runtime-win-x64.zip] | [x86][aspnetcore-runtime-win-x86.exe] \| [x64][aspnetcore-runtime-win-x64.exe] <br> [Hosting Bundle][dotnet-hosting-win.exe]<sup>2</sup> |
| macOS     | [x64][dotnet-sdk-osx-x64.pkg]  | [x64][dotnet-sdk-osx-x64.tar.gz]     | [x64][dotnet-runtime-osx-x64.pkg] | [x64][dotnet-runtime-osx-x64.tar.gz] | [x64][aspnetcore-runtime-osx-x64.tar.gz]<sup>1</sup>
| Linux     | [See installations steps below][linux-install]   | [x64][dotnet-sdk-linux-x64.tar.gz] \| [ARM][dotnet-sdk-linux-arm.tar.gz] \| [ARM64][dotnet-sdk-linux-arm64.tar.gz] \| [x64 Alpine][dotnet-sdk-linux-musl-x64.tar.gz] | - | [x64][dotnet-runtime-linux-x64.tar.gz] \| [ARM][dotnet-runtime-linux-arm.tar.gz] \| [ARM64][dotnet-runtime-linux-arm64.tar.gz] \| [x64 Alpine][dotnet-runtime-linux-musl-x64.tar.gz]] | [x64][aspnetcore-runtime-linux-x64.tar.gz]<sup>1</sup>  \| [ARM32][aspnetcore-runtime-linux-arm.tar.gz]<sup>1</sup> \| [x64 Alpine][aspnetcore-runtime-linux-musl-x64.tar.gz]<sup>1</sup> |
| RHEL6     | -                                                | [x64][dotnet-sdk-rhel.6-x64.tar.gz]                    | -                                                        | [x64][dotnet-runtime-rhel.6-x64.tar.gz] | - |
| Checksums | [SDK][checksums-sdk]                             | -                                        | [Runtime][checksums-runtime]                             | - | - |
| Symbols   | [CLI][cli-symbols.zip] \| [SDK][dotnet-sdk-symbols.zip]  | -                                        | [Runtime][coreclr-symbols.zip] \| [Shared Framework][corefx-symbols.zip] \| [Setup][core-setup-symbols.zip] | - | [ASP.NET Core][aspnet-symbols.zip] |

1. Includes the .NET Core and ASP.NET Core Runtimes
2. For hosting stand-alone apps on Windows Servers. Includes the ASP.NET Core Module for IIS and can be installed separately on servers without installing .NET Core runtime.

### Docker Images

The [.NET Core Docker images](https://hub.docker.com/r/microsoft/dotnet/) have been updated for this release. Details on our Docker versioning and how to work with the images can be seen in ["Staying up-to-date with .NET Container Images"](https://blogs.msdn.microsoft.com/dotnet/2018/06/18/staying-up-to-date-with-net-container-images/).

The following repos have been updated

* [microsoft/dotnet](https://hub.docker.com/r/microsoft/dotnet)
* [microsoft/dotnet-samples](https://hub.docker.com/r/microsoft/dotnet-samples)

### Azure AppServices

* .NET Core 2.2.3 is being deployed to Azure App Services and the deployment is expected to complete in a couple of days.

## .NET Core Lifecycle News

There are no changes this month in OS version support status.

.NET Core 1.0 and 1.1, which entered "Maintenance" support status when 2.1 was declared LTS, will be end-of-life June 27, 2019. Updates for the 1.0 and 1.1 channels will no longer be offered after that date. See [.NET Core Support Policy](https://dotnet.microsoft.com/platform/support/policy/dotnet-core) to learn more about the .NET Core support lifecycle.

See [.NET Core Supported OS Lifecycle Policy](https://github.com/dotnet/core/blob/main/os-lifecycle-policy.md) to learn about Windows, macOS and Linux versions that are supported for each .NET Core release.

## Changes in 2.2.3

.NET Core 2.2.3 release carries both security and non-security fixes.

* [CVE-2019-0657: .NET Core NuGet Tampering Vulnerability](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2019-0757)

    A tampering vulnerability exists in NuGet software when executed in a Linux or Mac environment. An attacker who successfully exploited the vulnerability could run arbitrary code in the context of the current user. If the current user is logged on with administrative user rights, an attacker could take control of the affected system. An attacker could then install programs; view, change, or delete data; or create new accounts with full user rights. Users whose accounts are configured to have fewer user rights on the system could be less impacted than users who operate with administrative user rights. Exploitation of the vulnerability requires that an attacker can login as any other user on that machine. At that point, the attacker will be able to replace or add to files that were created by a NuGet restore operation in the current users account.

    The security update addresses the vulnerability by correcting how NuGet restore creates file permissions for all files extracted to the client machine.

    **Affected Package and Binary updates**

    Package name | Vulnerable versions | Secure versions
    ------------ | ------------------- | -------------------------
    Nuget.Packaging | 4.9.0 – 4.9.3 | 4.9.4

### Additional fixes in this release
* [CoreCLR](https://github.com/dotnet/coreclr/issues?utf8=%E2%9C%93&q=milestone%3A2.2.3+label%3Aservicing-approved)
* [CoreFX](https://github.com/dotnet/corefx/issues?utf8=%E2%9C%93&q=milestone:2.2.3+label:servicing-approved)
* [ASP.NETCore](https://github.com/aspnet/AspNetCore/issues?utf8=%E2%9C%93&q=milestone%3A2.2.3+label%3Aservicing-approved)
* [EntityFrameworkCore](https://github.com/aspnet/EntityFrameworkCore/issues?utf8=%E2%9C%93&q=milestone%3A2.2.3+label%3Aservicing-approved)

## Packages updated in this release:

Package name | Version
:----------- | :------------------
dotnet-ef | 2.2.3
Microsoft.AspNetCore.All | 2.2.3
Microsoft.AspNetCore.App | 2.2.3
Microsoft.Data.Sqlite | 2.2.3
Microsoft.Data.Sqlite.Core | 2.2.3
Microsoft.DotNet.Web.Client.ItemTemplates | 2.2.3
Microsoft.DotNet.Web.ItemTemplates | 2.2.3
Microsoft.DotNet.Web.ProjectTemplates.2.2 | 2.2.3
Microsoft.DotNet.Web.Spa.ProjectTemplates | 2.2.3
Microsoft.EntityFrameworkCore | 2.2.3
Microsoft.EntityFrameworkCore.Abstractions | 2.2.3
Microsoft.EntityFrameworkCore.Analyzers | 2.2.3
Microsoft.EntityFrameworkCore.Design | 2.2.3
Microsoft.EntityFrameworkCore.InMemory | 2.2.3
Microsoft.EntityFrameworkCore.Proxies | 2.2.3
Microsoft.EntityFrameworkCore.Relational | 2.2.3
Microsoft.EntityFrameworkCore.Relational.Specification.Tests | 2.2.3
Microsoft.EntityFrameworkCore.Specification.Tests | 2.2.3
Microsoft.EntityFrameworkCore.Sqlite | 2.2.3
Microsoft.EntityFrameworkCore.Sqlite.Core | 2.2.3
Microsoft.EntityFrameworkCore.Sqlite.NetTopologySuite | 2.2.3
Microsoft.EntityFrameworkCore.SqlServer | 2.2.3
Microsoft.EntityFrameworkCore.SqlServer.NetTopologySuite | 2.2.3
Microsoft.EntityFrameworkCore.Tools | 2.2.3
Microsoft.NET.Build.Extensions | 2.2.101
Microsoft.NET.Sdk | 2.2.101
Microsoft.NETCore.App | 2.2.3
Microsoft.NETCore.DotNetAppHost | 2.2.3
Microsoft.NETCore.DotNetHost | 2.2.3
Microsoft.NETCore.DotNetHostPolicy | 2.2.3
Microsoft.NETCore.DotNetHostResolver | 2.2.3
runtime.linux-arm.Microsoft.NETCore.App | 2.2.3
runtime.linux-arm.Microsoft.NETCore.DotNetAppHost | 2.2.3
runtime.linux-arm.Microsoft.NETCore.DotNetHost | 2.2.3
runtime.linux-arm.Microsoft.NETCore.DotNetHostPolicy | 2.2.3
runtime.linux-arm.Microsoft.NETCore.DotNetHostResolver | 2.2.3
runtime.linux-arm64.Microsoft.NETCore.App | 2.2.3
runtime.linux-arm64.Microsoft.NETCore.DotNetAppHost | 2.2.3
runtime.linux-arm64.Microsoft.NETCore.DotNetHost | 2.2.3
runtime.linux-arm64.Microsoft.NETCore.DotNetHostPolicy | 2.2.3
runtime.linux-arm64.Microsoft.NETCore.DotNetHostResolver | 2.2.3
runtime.linux-musl-x64.Microsoft.NETCore.App | 2.2.3
runtime.linux-musl-x64.Microsoft.NETCore.DotNetAppHost | 2.2.3
runtime.linux-musl-x64.Microsoft.NETCore.DotNetHost | 2.2.3
runtime.linux-musl-x64.Microsoft.NETCore.DotNetHostPolicy | 2.2.3
runtime.linux-musl-x64.Microsoft.NETCore.DotNetHostResolver | 2.2.3
runtime.linux-x64.Microsoft.NETCore.App | 2.2.3
runtime.linux-x64.Microsoft.NETCore.DotNetAppHost | 2.2.3
runtime.linux-x64.Microsoft.NETCore.DotNetHost | 2.2.3
runtime.linux-x64.Microsoft.NETCore.DotNetHostPolicy | 2.2.3
runtime.linux-x64.Microsoft.NETCore.DotNetHostResolver | 2.2.3
runtime.osx-x64.Microsoft.NETCore.App | 2.2.3
runtime.osx-x64.Microsoft.NETCore.DotNetAppHost | 2.2.3
runtime.osx-x64.Microsoft.NETCore.DotNetHost | 2.2.3
runtime.osx-x64.Microsoft.NETCore.DotNetHostPolicy | 2.2.3
runtime.osx-x64.Microsoft.NETCore.DotNetHostResolver | 2.2.3
runtime.rhel.6-x64.Microsoft.NETCore.App | 2.2.3
runtime.rhel.6-x64.Microsoft.NETCore.DotNetAppHost | 2.2.3
runtime.rhel.6-x64.Microsoft.NETCore.DotNetHost | 2.2.3
runtime.rhel.6-x64.Microsoft.NETCore.DotNetHostPolicy | 2.2.3
runtime.rhel.6-x64.Microsoft.NETCore.DotNetHostResolver | 2.2.3
runtime.win-arm.Microsoft.NETCore.App | 2.2.3
runtime.win-arm.Microsoft.NETCore.DotNetAppHost | 2.2.3
runtime.win-arm.Microsoft.NETCore.DotNetHost | 2.2.3
runtime.win-arm.Microsoft.NETCore.DotNetHostPolicy | 2.2.3
runtime.win-arm.Microsoft.NETCore.DotNetHostResolver | 2.2.3
runtime.win-arm64.Microsoft.NETCore.App | 2.2.3
runtime.win-arm64.Microsoft.NETCore.DotNetAppHost | 2.2.3
runtime.win-arm64.Microsoft.NETCore.DotNetHost | 2.2.3
runtime.win-arm64.Microsoft.NETCore.DotNetHostPolicy | 2.2.3
runtime.win-arm64.Microsoft.NETCore.DotNetHostResolver | 2.2.3
runtime.win-x64.Microsoft.NETCore.App | 2.2.3
runtime.win-x64.Microsoft.NETCore.DotNetAppHost | 2.2.3
runtime.win-x64.Microsoft.NETCore.DotNetHost | 2.2.3
runtime.win-x64.Microsoft.NETCore.DotNetHostPolicy | 2.2.3
runtime.win-x64.Microsoft.NETCore.DotNetHostResolver | 2.2.3
runtime.win-x86.Microsoft.NETCore.App | 2.2.3
runtime.win-x86.Microsoft.NETCore.DotNetAppHost | 2.2.3
runtime.win-x86.Microsoft.NETCore.DotNetHost | 2.2.3
runtime.win-x86.Microsoft.NETCore.DotNetHostPolicy | 2.2.3
runtime.win-x86.Microsoft.NETCore.DotNetHostResolver | 2.2.3

[blob-runtime]: https://dotnetcli.blob.core.windows.net/dotnet/Runtime/
[blob-sdk]: https://dotnetcli.blob.core.windows.net/dotnet/Sdk/
[release-notes]: https://github.com/dotnet/core/blob/main/release-notes/2.2/2.2.3/2.2.3.md

[dotnet-runtime-linux-arm.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/b12c61f5-7ba4-47f1-93f0-d2280fa4bf3c/8e1ae5ac780c61e0339d0247e7d9a8d8/dotnet-runtime-2.2.3-linux-arm.tar.gz
[dotnet-runtime-linux-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/07657a0c-b079-4616-9d62-d3d39202f9af/406eb81bef25fe3e3030a9cc63a69c12/dotnet-runtime-2.2.3-linux-arm64.tar.gz
[dotnet-runtime-linux-musl-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/fb3013a4-65f1-468d-b371-5f5b2ccc8cc4/a7d89aaf18f1a55d2ff012f14f41a2e4/dotnet-runtime-2.2.3-linux-musl-x64.tar.gz
[dotnet-runtime-linux-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/28271651-a8f6-41d6-9144-2d53f6c4aac4/bb29124818f370cd08c5c8cc8f8816bf/dotnet-runtime-2.2.3-linux-x64.tar.gz
[dotnet-runtime-osx-x64.pkg]: https://download.visualstudio.microsoft.com/download/pr/872243f8-de92-480f-accd-9a22304cd3f9/aad669c10799a3e6e1deac73e8559c49/dotnet-runtime-2.2.3-osx-x64.pkg
[dotnet-runtime-osx-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/17706c0b-9b95-48cf-a305-00e33308fee5/25a080bf4f213bb12ba2dbdd313ac666/dotnet-runtime-2.2.3-osx-x64.tar.gz
[dotnet-runtime-rhel.6-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/3a3865ed-9bee-4cd4-84ff-4abd12897e7f/3d71c98035ac838e1136ce795d1984c0/dotnet-runtime-2.2.3-rhel.6-x64.tar.gz
[dotnet-runtime-win-arm.zip]: https://download.visualstudio.microsoft.com/download/pr/fd348397-d8b1-4941-8032-85a9842dcba7/cc4043bcaaf3b68d6047765a7ce2d223/dotnet-runtime-2.2.3-win-arm.zip
[dotnet-runtime-win-x64.exe]: https://download.visualstudio.microsoft.com/download/pr/4f31a41f-eb8e-4b37-b4aa-1b6c09185671/b2c8243f394bf48d3caa5f1816c5b982/dotnet-runtime-2.2.3-win-x64.exe
[dotnet-runtime-win-x64.zip]: https://download.visualstudio.microsoft.com/download/pr/25d53223-179f-46db-b99d-5d433c93a021/dd1f391be09111440b3afe38d22bc15d/dotnet-runtime-2.2.3-win-x64.zip
[dotnet-runtime-win-x86.exe]: https://download.visualstudio.microsoft.com/download/pr/1f7b8b2d-3d25-458c-91fd-da83d113a742/5f33aef5926fff3aa90a57734b636d20/dotnet-runtime-2.2.3-win-x86.exe
[dotnet-runtime-win-x86.zip]: https://download.visualstudio.microsoft.com/download/pr/0281cdac-cfb3-442c-bdfb-abe1b8010bf1/fbbcb7fa128f2bffdec3de28d17e53f4/dotnet-runtime-2.2.3-win-x86.zip
[aspnetcore-runtime-linux-arm.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/280390c7-10ab-46bc-bd62-886751517624/b6b98756380556e39a6a96a920aa4b67/aspnetcore-runtime-2.2.3-linux-arm.tar.gz
[aspnetcore-runtime-linux-musl-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/c22c91c0-de6d-45ac-a8ba-30edf752140a/e2b95e5da6d0e66171d12813c493b721/aspnetcore-runtime-2.2.3-linux-musl-x64.tar.gz
[aspnetcore-runtime-linux-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/dabca6d9-19e5-44b6-a402-a627fae42d26/e36d703f5d281ec8662422bfa62c2fdd/aspnetcore-runtime-2.2.3-linux-x64.tar.gz
[aspnetcore-runtime-osx-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/8fd61454-0efc-4826-8129-835b939eedae/4952dc78402ca25bf3e783655154d514/aspnetcore-runtime-2.2.3-osx-x64.tar.gz
[aspnetcore-runtime-win-arm.zip]: https://download.visualstudio.microsoft.com/download/pr/22eb9b50-33a7-4cbc-be8f-655c589553bf/ff80c75634fce2c2f126eabe3b0eb079/aspnetcore-runtime-2.2.3-win-arm.zip
[aspnetcore-runtime-win-x64.exe]: https://download.visualstudio.microsoft.com/download/pr/e00f77e4-e397-438f-a5d2-9a9c221fd2e0/8bac1cc1d685af687fac8072cf19ba58/aspnetcore-runtime-2.2.3-win-x64.exe
[aspnetcore-runtime-win-x64.zip]: https://download.visualstudio.microsoft.com/download/pr/2cad0d7f-f980-4cd3-a86f-896adc881416/e37e4cf6615a9b78b36d62f952cca766/aspnetcore-runtime-2.2.3-win-x64.zip
[aspnetcore-runtime-win-x86.exe]: https://download.visualstudio.microsoft.com/download/pr/6c10cd7e-4df7-4858-a0ad-015c98177b9e/9de39624e0cfe3d188b36db5ef52a905/aspnetcore-runtime-2.2.3-win-x86.exe
[aspnetcore-runtime-win-x86.zip]: https://download.visualstudio.microsoft.com/download/pr/017deab3-cf5b-412a-aa8e-1c689ef7079d/7ac8b1777bc0ad51f9755fe08bab936b/aspnetcore-runtime-2.2.3-win-x86.zip
[dotnet-hosting-win.exe]: https://download.visualstudio.microsoft.com/download/pr/a46ea5ce-a13f-47ff-8728-46cb92eb7ae3/1834ef35031f8ab84312bcc0eceb12af/dotnet-hosting-2.2.3-win.exe
[dotnet-sdk-linux-arm.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/74ce4696-c78e-45c0-9cb2-f504e8d00a6f/152f760e7f1d9f3448038e3864ee5277/dotnet-sdk-2.2.105-linux-arm.tar.gz
[dotnet-sdk-linux-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/f2e3d68d-dc7e-4a4e-afce-6588572a19d8/d3b822d4387d2d2721eb853108b5251b/dotnet-sdk-2.2.105-linux-arm64.tar.gz
[dotnet-sdk-linux-musl-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/f447ae7c-96d7-4a77-9e3a-fae23d67d4bb/71048b4741c1c5d531a40842b169d82e/dotnet-sdk-2.2.105-linux-musl-x64.tar.gz
[dotnet-sdk-linux-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/7d8f3f4c-9a90-42c5-956f-45f673384d3f/14d686d853a964025f5c54db237ff6ef/dotnet-sdk-2.2.105-linux-x64.tar.gz
[dotnet-sdk-osx-x64.pkg]: https://download.visualstudio.microsoft.com/download/pr/4850aa8f-44a9-4c4a-9961-f18aa4d90ceb/07d790444f3ba6b412a76d6f1aced338/dotnet-sdk-2.2.105-osx-x64.pkg
[dotnet-sdk-osx-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/47709d55-450a-4828-9e3a-de65aef7c2f2/f512dd0abf6989ce1800d4fd40a745d7/dotnet-sdk-2.2.105-osx-x64.tar.gz
[dotnet-sdk-rhel.6-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/09c1efae-e43a-4e5b-b1b1-4f518632c801/ae9b1692aeedd35a42771cc4416f3f5e/dotnet-sdk-2.2.105-rhel.6-x64.tar.gz
[dotnet-sdk-win-arm.zip]: https://download.visualstudio.microsoft.com/download/pr/cbf3b281-1d86-457b-86df-6513fbc5fe2b/9f3a082709c12dbdc9b1d8d54377a0b6/dotnet-sdk-2.2.105-win-arm.zip
[dotnet-sdk-win-x64.exe]: https://download.visualstudio.microsoft.com/download/pr/8148cce0-196d-4634-86df-f3d4550b1a75/89ed68d0ecf6b1c62cc7b0d129fdf600/dotnet-sdk-2.2.105-win-x64.exe
[dotnet-sdk-win-x64.zip]: https://download.visualstudio.microsoft.com/download/pr/5fda1224-7b3b-4aac-9516-47e2e38f78cb/ac7ad8eab35268b234c386b53f354161/dotnet-sdk-2.2.105-win-x64.zip
[dotnet-sdk-win-x86.exe]: https://download.visualstudio.microsoft.com/download/pr/aa0057ee-f80e-48a3-b3c6-86caa4317827/0cd1eb1081972f6f11394163542e07a3/dotnet-sdk-2.2.105-win-x86.exe
[dotnet-sdk-win-x86.zip]: https://download.visualstudio.microsoft.com/download/pr/6952677d-f0de-46ed-80ca-209e997ca909/d578118f63c0be3fd9533376adaf314e/dotnet-sdk-2.2.105-win-x86.zip
[aspnet-symbols.zip]: https://download.visualstudio.microsoft.com/download/pr/f7f28566-3c8a-40bb-9f40-7141376ce88e/72d747b17a54dbccc1262b175f4c8360/aspnet-2.2.3-symbols.zip
[cli-symbols.zip]: https://download.visualstudio.microsoft.com/download/pr/cb431d94-36d4-4671-8977-f4649e3ab903/276655436cbbac3e7e810b1cfdaf3c46/cli-2.2.3-symbols.zip
[core-setup-symbols.zip]: https://download.visualstudio.microsoft.com/download/pr/db4af9a3-5f75-4e3c-92d0-6104fe9be008/8d09884da8f8eb99cfa3ee6ac57516e4/core-setup-2.2.3-symbols.zip
[coreclr-symbols.zip]: https://download.visualstudio.microsoft.com/download/pr/6e2d7e59-5f40-43f5-9569-38907d035b90/01e119548f0e9e9c82339cc6ab4ce6f3/coreclr-2.2.3-symbols.zip
[corefx-symbols.zip]: https://download.visualstudio.microsoft.com/download/pr/e985d9ca-61da-45a6-a474-190e1d8dac0c/bb0a16d8b290be9ea26e6442c7591201/corefx-2.2.3-symbols.zip
[dotnet-sdk-symbols.zip]: https://download.visualstudio.microsoft.com/download/pr/26cbe290-2523-4d29-9832-b825d28bd73a/23b167b5be34a62955edefc8e84ba76c/dotnet-sdk-2.2.3-symbols.zip

[checksums-runtime]: https://dotnetcli.blob.core.windows.net/dotnet/checksums/2.2.3-runtime-sha.txt
[checksums-sdk]: https://dotnetcli.blob.core.windows.net/dotnet/checksums/2.2.105-sdk-sha.txt

[linux-install]: https://docs.microsoft.com/dotnet/core/install/linux
[linux-setup]: https://github.com/dotnet/core/blob/main/Documentation/linux-setup.md
[dotnet-blog]: https://devblogs.microsoft.com/dotnet/net-core-march-2019/