# .NET Core 2.2 Preview 1 - August 22, 2018

.NET Core 2.2.0 Preview 1 is available for download and usage in your environment. This release includes .NET Core 2.2.0 Preview 1, ASP.NET Core 2.2.0 Preview 1 and .NET Core SDK 2.2.100 Preview 1.

* [Downloads](#downloads)

## Blog Round up

* [ASP.NET Core](https://blogs.msdn.microsoft.com/webdev/2018/08/22/asp-net-core-2-2-0-preview1-now-available/)

The .NET Core SDK 2.2.100 Preview 1 includes .NET Core 2.2 Runtime Preview so downloading the runtime packages separately is not needed when installing the SDK. After installing the .NET Core SDK 2.2.100 Preview, the following command will show that you're running version `2.2.100-preview1-009349` of the tools.

`dotnet --version`

Visit the [ASP.NET Core release notes](https://github.com/aspnet/Home/releases/tag/2.2.0-preview1) for highlights and known issues on work from ASP.NET Core, MVC, Entity Framework Core and others.

In this release, we additionally added support for AAD authentication to Azure SQL. [dotent/corefx#13660](https://github.com/dotnet/corefx/issues/13660)

Your feedback is important and appreciated. We've created an issue at [dotnet/core #1883](https://github.com/dotnet/core/issues/1883) for your questions and comments.

## Downloads

|           | SDK Installer*                                   | SDK Binaries*                            | Runtime Installer                                        | Runtime Binaries                                 | ASP.NET Core Runtime           |
| --------- | :------------------------------------------:     | :----------------------:                 | :---------------------------:                            | :-------------------------:                      | :-----------------:            |
| Windows   | [x86][sdk-win-x86.exe] \| [x64][sdk-win-x64.exe] | [x86][sdk-win-x86] \| [x64][sdk-win-x64] | [x86][runtime-win-x86.exe] \| [x64][runtime-win-x64.exe] | [x86][runtime-win-x86] \| [x64][runtime-win-x64] | [x86][asp-runtime-win-x86.exe] \| [x64][asp-runtime-win-x64.exe] <br> [Hosting Bundle][hosting-win-x64.exe] |
| macOS     | [x64][sdk-mac-x64.pkg]  | [x64][sdk-mac-x64]     | [x64][runtime-mac-x64.pkg] | [x64][runtime-mac-x64] | [x64][asp-runtime-mac-x64]
| Linux     | -  | [x64][sdk-linux-x64] \| [ARM][sdk-linux-arm-x32] \| [ARM64][sdk-linux-arm-x64] \| [x64 Alpine][sdk-linux-musl-x64] | - | [x64][runtime-linux-x64] \| [ARM][runtime-linux-arm-x32] \| [ARM64][runtime-linux-arm-x64] \| [x64 Alpine][runtime-linux-musl-x64] | [x64][asp-runtime-linux-x64]  \| [ARM32][asp-runtime-linux-arm-x86] \| [x64 Alpine][asp-runtime-linux-musl-x64] |
| RHEL6     | -                                                | [x64][sdk-rhel.6-x64]                    | -                                                        | [x64][runtime-rhel.6-x64] | - |
| Checksums | [SDK][checksums-sdk]                             | -                                        | [Runtime][checksums-runtime]                             | - | - |
| Symbols   | -                                                | -                                        | [Runtime][symbols-coreclr] \| [Shared Framework][symbols-corefx] \| [Setup][symbols-core-setup] | - | [ASP.NET Core][symbols-aspnetcore] |

\* Includes the .NET Core and ASP.NET Core runtimes


## Docker Images

The [.NET Core Docker images](https://hub.docker.com/r/microsoft/dotnet/) have been updated for this release. Details on our Docker versioning and how to work with the images can be seen in ["Staying up-to-date with .NET Container Images"](https://blogs.msdn.microsoft.com/dotnet/2018/06/18/staying-up-to-date-with-net-container-images/).

The following repo has been updated

* [microsoft/dotnet](https://hub.docker.com/r/microsoft/dotnet)


[dlc-runtime]: https://download.microsoft.com/download/1/9/F/19FEB118-A1D8-4B0E-B74C-D155FC5D297E
[dlc-sdk]: https://download.microsoft.com/download/5/9/2/592E5073-8394-4A95-8F48-54080F0F1555
[blob-runtime]: https://dotnetcli.blob.core.windows.net/dotnet/Runtime/
[blob-sdk]: https://dotnetcli.blob.core.windows.net/dotnet/Sdk/
[release-notes]: https://github.com/dotnet/core/blob/main/release-notes/2.2/2.2.0-preview-26820-02/2.2.0-preview-26820-02.md

[runtime-linux-x64]: https://download.microsoft.com/download/1/9/F/19FEB118-A1D8-4B0E-B74C-D155FC5D297E/dotnet-runtime-2.2.0-preview-26820-02-linux-x64.tar.gz
[runtime-linux-arm-x32]: https://download.microsoft.com/download/1/9/F/19FEB118-A1D8-4B0E-B74C-D155FC5D297E/dotnet-runtime-2.2.0-preview-26820-02-linux-arm.tar.gz
[runtime-linux-musl-x64]: https://download.microsoft.com/download/1/9/F/19FEB118-A1D8-4B0E-B74C-D155FC5D297E/dotnet-runtime-2.2.0-preview-26820-02-linux-musl-x64.tar.gz
[runtime-linux-arm-x64]: https://download.microsoft.com/download/1/9/F/19FEB118-A1D8-4B0E-B74C-D155FC5D297E/dotnet-runtime-2.2.0-preview-26820-02-linux-arm64.tar.gz
[runtime-rhel.6-x64]: https://download.microsoft.com/download/1/9/F/19FEB118-A1D8-4B0E-B74C-D155FC5D297E/dotnet-runtime-2.2.0-preview-26820-02-rhel.6-x64.tar.gz
[runtime-mac-x64]: https://download.microsoft.com/download/1/9/F/19FEB118-A1D8-4B0E-B74C-D155FC5D297E/dotnet-runtime-2.2.0-preview-26820-02-osx-x64.tar.gz
[runtime-mac-x64.pkg]: https://download.microsoft.com/download/1/9/F/19FEB118-A1D8-4B0E-B74C-D155FC5D297E/dotnet-runtime-2.2.0-preview-26820-02-osx-x64.pkg
[runtime-win-x86]: https://download.microsoft.com/download/1/9/F/19FEB118-A1D8-4B0E-B74C-D155FC5D297E/dotnet-runtime-2.2.0-preview-26820-02-win-x86.zip
[runtime-win-x64]: https://download.microsoft.com/download/1/9/F/19FEB118-A1D8-4B0E-B74C-D155FC5D297E/dotnet-runtime-2.2.0-preview-26820-02-win-x64.zip
[runtime-win-x86.exe]: https://download.microsoft.com/download/1/9/F/19FEB118-A1D8-4B0E-B74C-D155FC5D297E/dotnet-runtime-2.2.0-preview-26820-02-win-x86.exe
[runtime-win-x64.exe]: https://download.microsoft.com/download/1/9/F/19FEB118-A1D8-4B0E-B74C-D155FC5D297E/dotnet-runtime-2.2.0-preview-26820-02-win-x64.exe

[sdk-linux-x64]: https://download.microsoft.com/download/5/9/2/592E5073-8394-4A95-8F48-54080F0F1555/dotnet-sdk-2.2.100-preview1-009349-linux-x64.tar.gz
[sdk-linux-arm-x32]:  https://download.microsoft.com/download/5/9/2/592E5073-8394-4A95-8F48-54080F0F1555/dotnet-sdk-2.2.100-preview1-009349-linux-arm.tar.gz
[sdk-linux-arm-x64]:  https://download.microsoft.com/download/5/9/2/592E5073-8394-4A95-8F48-54080F0F1555/dotnet-sdk-2.2.100-preview1-009349-linux-arm64.tar.gz
[sdk-linux-musl-x64]:  https://download.microsoft.com/download/5/9/2/592E5073-8394-4A95-8F48-54080F0F1555/dotnet-sdk-2.2.100-preview1-009349-linux-musl-x64.tar.gz
[sdk-mac-x64]: https://download.microsoft.com/download/5/9/2/592E5073-8394-4A95-8F48-54080F0F1555/dotnet-sdk-2.2.100-preview1-009349-osx-x64.tar.gz
[sdk-mac-x64.pkg]: https://download.microsoft.com/download/5/9/2/592E5073-8394-4A95-8F48-54080F0F1555/dotnet-sdk-2.2.100-preview1-009349-osx-x64.pkg
[sdk-mac-x64.pkg-gs]: https://download.microsoft.com/download/5/9/2/592E5073-8394-4A95-8F48-54080F0F1555/dotnet-sdk-2.2.100-preview1-009349-osx-gs-x64.pkg
[sdk-win-x86]: https://download.microsoft.com/download/5/9/2/592E5073-8394-4A95-8F48-54080F0F1555/dotnet-sdk-2.2.100-preview1-009349-win-x86.zip
[sdk-win-x64]: https://download.microsoft.com/download/5/9/2/592E5073-8394-4A95-8F48-54080F0F1555/dotnet-sdk-2.2.100-preview1-009349-win-x64.zip
[sdk-win-x86.exe]: https://download.microsoft.com/download/5/9/2/592E5073-8394-4A95-8F48-54080F0F1555/dotnet-sdk-2.2.100-preview1-009349-win-x86.exe
[sdk-win-x86.exe-gs]: https://download.microsoft.com/download/5/9/2/592E5073-8394-4A95-8F48-54080F0F1555/dotnet-sdk-2.2.100-preview1-009349-win-gs-x86.exe
[sdk-win-x64.exe]: https://download.microsoft.com/download/5/9/2/592E5073-8394-4A95-8F48-54080F0F1555/dotnet-sdk-2.2.100-preview1-009349-win-x64.exe
[sdk-win-x64.exe-gs]: https://download.microsoft.com/download/5/9/2/592E5073-8394-4A95-8F48-54080F0F1555/dotnet-sdk-2.2.100-preview1-009349-win-gs-x64.exe
[sdk-rhel.6-x64]:  https://download.microsoft.com/download/5/9/2/592E5073-8394-4A95-8F48-54080F0F1555/dotnet-sdk-2.2.100-preview1-009349-rhel.6-x64.tar.gz

[hosting-win-x64.exe]: https://download.microsoft.com/download/1/9/F/19FEB118-A1D8-4B0E-B74C-D155FC5D297E/dotnet-hosting-2.2.0-preview1-35029-win.exe
[asp-runtime-linux-x64]: https://download.microsoft.com/download/1/9/F/19FEB118-A1D8-4B0E-B74C-D155FC5D297E/aspnetcore-runtime-2.2.0-preview1-35029-linux-x64.tar.gz
[asp-runtime-linux-arm-x86]:  https://download.microsoft.com/download/1/9/F/19FEB118-A1D8-4B0E-B74C-D155FC5D297E/aspnetcore-runtime-2.2.0-preview1-35029-linux-arm.tar.gz
[asp-runtime-linux-musl-x64]: https://download.microsoft.com/download/1/9/F/19FEB118-A1D8-4B0E-B74C-D155FC5D297E/aspnetcore-runtime-2.2.0-preview1-35029-linux-musl-x64.tar.gz
[asp-runtime-mac-x64]: https://download.microsoft.com/download/1/9/F/19FEB118-A1D8-4B0E-B74C-D155FC5D297E/aspnetcore-runtime-2.2.0-preview1-35029-osx-x64.tar.gz
[asp-runtime-win-x64.exe]: https://download.microsoft.com/download/1/9/F/19FEB118-A1D8-4B0E-B74C-D155FC5D297E/aspnetcore-runtime-2.2.0-preview1-35029-win-x64.exe
[asp-runtime-win-x86.exe]: https://download.microsoft.com/download/1/9/F/19FEB118-A1D8-4B0E-B74C-D155FC5D297E/aspnetcore-runtime-2.2.0-preview1-35029-win-x86.exe
[asp-runtime-win-x86]: https://download.microsoft.com/download/1/9/F/19FEB118-A1D8-4B0E-B74C-D155FC5D297E/aspnetcore-runtime-2.2.0-preview1-35029-win-x86.zip
[asp-runtime-win-x64]: https://download.microsoft.com/download/1/9/F/19FEB118-A1D8-4B0E-B74C-D155FC5D297E/aspnetcore-runtime-2.2.0-preview1-35029-win-x64.zip
[asp-store-linux-x64]: https://download.microsoft.com/download/1/9/F/19FEB118-A1D8-4B0E-B74C-D155FC5D297E/aspnetcore-store-2.2.0-preview1-35029-linux-x64.tar.gz
[asp-store-mac-x64]: https://download.microsoft.com/download/1/9/F/19FEB118-A1D8-4B0E-B74C-D155FC5D297E/aspnetcore-store-2.2.0-preview1-35029-osx-x64.tar.gz
[asp-store-win-x64]: https://download.microsoft.com/download/1/9/F/19FEB118-A1D8-4B0E-B74C-D155FC5D297E/AspNetCore.2.2.0-preview1-35029.RuntimePackageStore_x64.exe
[asp-store-win-x86]: https://download.microsoft.com/download/1/9/F/19FEB118-A1D8-4B0E-B74C-D155FC5D297E/AspNetCore.2.2.0-preview1-35029.RuntimePackageStore_x86.exe

[symbols-aspnetcore]: https://download.microsoft.com/download/1/9/F/19FEB118-A1D8-4B0E-B74C-D155FC5D297E/aspnet-2.2.0-preview1-symbols.zip
[symbols-coreclr]: https://download.microsoft.com/download/1/9/F/19FEB118-A1D8-4B0E-B74C-D155FC5D297E/coreclr-2.2.0-preview1-symbols.zip
[symbols-corefx]: https://download.microsoft.com/download/1/9/F/19FEB118-A1D8-4B0E-B74C-D155FC5D297E/corefx-2.2.0-preview1-symbols.zip
[symbols-core-setup]: https://download.microsoft.com/download/1/9/F/19FEB118-A1D8-4B0E-B74C-D155FC5D297E/core-setup-2.2.0-preview1-symbols.zip

[checksums-runtime]: https://dotnetcli.blob.core.windows.net/dotnet/checksums/2.2.0-preview1-runtime-sha.txt
[checksums-sdk]: https://dotnetcli.blob.core.windows.net/dotnet/checksums/2.2.100-preview1-sdk-sha.txt

[linux-install]: https://docs.microsoft.com/dotnet/core/install/linux

[dotnet-blog]: https://blogs.msdn.microsoft.com/dotnet/2018/08/21/net-core-august-2018-update/
[linux-setup]: https://github.com/dotnet/core/blob/main/Documentation/linux-setup.md
