# System

``` diff
 namespace System {
     public class ArgumentNullException : ArgumentException {
+        public static void ThrowIfNull(object argument, string paramName = null);
     }
     public struct HashCode {
+        public void AddBytes(ReadOnlySpan<byte> value);
     }
     public static class MemoryExtensions {
+        public static bool TryWrite(this Span<char> destination, IFormatProvider provider, ref MemoryExtensions.TryWriteInterpolatedStringHandler handler, out int charsWritten);
+        public static bool TryWrite(this Span<char> destination, ref MemoryExtensions.TryWriteInterpolatedStringHandler handler, out int charsWritten);
+        public ref struct TryWriteInterpolatedStringHandler {
+            public TryWriteInterpolatedStringHandler(int literalLength, int formattedCount, Span<char> destination, out bool shouldAppend);
+            public TryWriteInterpolatedStringHandler(int literalLength, int formattedCount, Span<char> destination, IFormatProvider provider, out bool shouldAppend);
+            public bool AppendFormatted(object value, int alignment = 0, string format = null);
+            public bool AppendFormatted(ReadOnlySpan<char> value);
+            public bool AppendFormatted(ReadOnlySpan<char> value, int alignment = 0, string format = null);
+            public bool AppendFormatted(string value);
+            public bool AppendFormatted(string value, int alignment = 0, string format = null);
+            public bool AppendFormatted<T>(T value);
+            public bool AppendFormatted<T>(T value, int alignment);
+            public bool AppendFormatted<T>(T value, int alignment, string format);
+            public bool AppendFormatted<T>(T value, string format);
+            public bool AppendLiteral(string value);
+        }
     }
     public sealed class String : ICloneable, IComparable, IComparable<string>, IConvertible, IEnumerable, IEnumerable<char>, IEquatable<string> {
+        public static String Create(IFormatProvider provider, ref DefaultInterpolatedStringHandler handler);
+        public static String Create(IFormatProvider provider, Span<char> initialBuffer, ref DefaultInterpolatedStringHandler handler);
     }
 }
```

