# Microsoft.AspNetCore.Components

``` diff
 namespace Microsoft.AspNetCore.Components {
     public class DynamicComponent : IComponent {
+        public object Instance { get; }
     }
     public abstract class NavigationManager {
+        public void NavigateTo(string uri, NavigationOptions options);
-        public void NavigateTo(string uri, bool forceLoad = false);
+        public void NavigateTo(string uri, bool forceLoad);
+        public void NavigateTo(string uri, bool forceLoad = false, bool replace = false);
+        protected virtual void NavigateToCore(string uri, NavigationOptions options);
-        protected abstract void NavigateToCore(string uri, bool forceLoad);
+        protected virtual void NavigateToCore(string uri, bool forceLoad);
     }
+    public readonly struct NavigationOptions {
+        public bool ForceLoad { get; set; }
+        public bool ReplaceHistoryEntry { get; set; }
+    }
     public readonly struct RenderHandle {
-        public bool IsHotReloading { get; }

+        public bool IsRenderingOnMetadataUpdate { get; }
     }
+    public sealed class SupplyParameterFromQueryAttribute : Attribute {
+        public SupplyParameterFromQueryAttribute();
+        public string Name { get; set; }
+    }
 }
```

